<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_ArticleContentEditEx.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_ArticleContentEditEx" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnnweb" Assembly="DotNetNuke.Web" Namespace="DotNetNuke.Web.UI.WebControls" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>



<asp:Panel ID="_pnlSelectTemplate" runat="server">
    <table>
        <tr>
            <td class="Normal" valign="top">
                <dnn:label id="_lblSelectTemplate" resource="_lblSelectTemplate" controlname="" suffix=":"
                    runat="server">
                </dnn:label>
            </td>
            <td colspan="3">
                <asp:DropDownList ID="_ddlTemplates" runat="server" CssClass="Normal">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <asp:ImageButton ID="_btnCancel" ImageUrl="~/images/lt.gif" runat="server" /><asp:LinkButton
                    ID="_lnkCancel" runat="server" CssClass="CommandButton"></asp:LinkButton>
            </td>
            <td>
                <asp:ImageButton ID="_btnNext" ImageUrl="~/images/rt.gif" runat="server" /><asp:LinkButton
                    ID="_lnkNext" runat="server" CssClass="CommandButton"></asp:LinkButton>
            </td>
        </tr>
    </table>
</asp:Panel>
<asp:Panel ID="_pnlContent" runat="server">
    <asp:Label ID="_lblWarning" runat="server" Text="" CssClass="NormalRed"></asp:Label>
    <table>
        <tr id="_trMultilanguage" runat="server">
             <td>
                <table>
                    <tr>
                    <td class="SubHead">
                        <dnn:label id="lblArticleLanguage" resource="lblArticleLanguage" controlname="" suffix=""
                            runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:DropDownList ID="_ddlArticleLanguage" runat="server" CssClass="NormalTextBox" AutoPostBack="true">
                        </asp:DropDownList>
                    </td>
                </tr>
                </table>
             </td>
        </tr>
        <tr>
            <td>
                <asp:PlaceHolder ID="_plhMultipageContent" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:LinkButton ID="_cmdUpdate" runat="server" resourcekey="cmdUpdate" CssClass="CommandButton">LinkButton</asp:LinkButton>&nbsp;&nbsp;
                <asp:LinkButton ID="_cmdUpdateAndExit" runat="server" resourcekey="_cmdUpdateAndExit" CssClass="CommandButton">LinkButton</asp:LinkButton>&nbsp;&nbsp;
                <asp:LinkButton ID="_cmdCancel" runat="server" resourcekey="cmdCancel" CssClass="CommandButton">LinkButton</asp:LinkButton><br />
                <br />
                <br />
                <br />
                <asp:LinkButton ID="_cmdDelete" runat="server" resourcekey="cmdDelete" CssClass="CommandButton">LinkButton</asp:LinkButton>
            </td>
        </tr>
        <tr id="_trVersions" runat="server">
            <td>
                <dnn:sectionhead id="dshVersions" includerule="True" resourcekey="dshVersions" section="_tblVersions"
                    IsExpanded="true" cssclass="Head" runat="server" />
                <table id="_tblVersions" runat="server">
                    <tr>
                        <td valign="top">
                            <dnnweb:dnngrid ID="dgVersions" runat="server" AutoGenerateColumns="false" AllowPaging="False"
                                PageSize="10">
                                <pagerstyle mode="NextPrevAndNumeric"></pagerstyle>
                                <mastertableview>
					        <Columns>
						        <dnnweb:DnnGridBoundColumn HeaderText="Version" DataField="Version" />
						        <dnnweb:DnnGridBoundColumn HeaderText="Created Date" DataField="CreatedDate"  />
						        <dnnweb:DnnGridBoundColumn HeaderText="Created By" DataField="CreatedDisplayName" />						        
                                <dnnweb:DnnGridBoundColumn HeaderText="Last Updated" DataField="LastUpdated"  />
						        <dnnweb:DnnGridBoundColumn HeaderText="Last Updated By" DataField="UpdatedDisplayName" />
						        <dnnweb:DnnGridTemplateColumn>
							        <HeaderTemplate>
								        <table cellpadding="0" cellspacing="0" class="DnnGridNestedTable">
									        <tr>
										        <td><dnnweb:DnnImage ID="imgDelete" runat="server" IconKey="ActionDelete" resourcekey="VersionsRemove" /></td>
										        <td><dnnweb:DnnImage ID="imgPreview" runat="server" IconKey="View"  resourcekey="VersionsPreview" /></td>
										        <td><dnnweb:DnnImage ID="imgRollback" runat="server" IconKey="Restore"  resourcekey="VersionsRollback" /></td>
									        </tr>
								        </table>
							        </HeaderTemplate>
							        <ItemTemplate>
								        <table cellpadding="0" cellspacing="0" class="DnnGridNestedTable">
									        <tr style="vertical-align: top;">
										        <td><dnnweb:DnnImageButton ID="btnRemove" runat="server" CommandName="Remove" IconKey="ActionDelete" Text="Delete" resourcekey="VersionsRemove" /></td>
										        <td><dnnweb:DnnImageButton ID="btnPreview" runat="server" CommandName="Preview"  IconKey="View" Text="Preview" resourcekey="VersionsPreview" /></td>
										        <td><dnnweb:DnnImageButton ID="btnRollback" runat="server" CommandName="RollBack" IconKey="Restore" Text="Rollback" resourcekey="VersionsRollback" /></td>
									        </tr>
								        </table>
							        </ItemTemplate>
						        </dnnweb:DnnGridTemplateColumn>
					        </Columns>
					        <NoRecordsTemplate>
						        <asp:Label ID="lblNoRecords" runat="server" resourcekey="NoVersions" />
					        </NoRecordsTemplate>
				        </mastertableview>
                            </dnnweb:dnngrid>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        
    </table>
</asp:Panel>
