<%@ Control Language="c#" AutoEventWireup="false" Codebehind="CB_ArticlesTopOptions.ascx.cs" Inherits="DNNMasters.ContentBuilder.CB_ArticlesTopOptions" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ register tagprefix="dnn" tagname="Label" src="~/controls/LabelControl.ascx" %>

<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td><label class="SubHead" visible="false"></label></td> <!--Display Options:-->
    <td align="left"><label class="SubHead">Sorting:</label></td>
    <td align="left"><label class="SubHead">Other Settings:</label></td>
  </tr>
  <tr>
    <td valign="top" ><asp:checkboxlist id="chblDescription" CssClass="Normal" runat="server" Width="144px" Height="32px" visible="false">
        <asp:ListItem Value="Show Date" visible="false">Show Date</asp:ListItem>
        <asp:ListItem Value="Show Author" visible="false">Show Author</asp:ListItem>
        <asp:ListItem Value="Show Description" visible="false">Show Description</asp:ListItem>
      </asp:checkboxlist>
      &nbsp;<asp:checkbox id="chbCategoriesOnOff" runat="server" CssClass="Normal" Text="Show Category" visible="false"></asp:checkbox><br />
      &nbsp;<asp:checkbox id="chbNoOfArticlesOnOff" runat="server" CssClass="Normal" Text="Show No of Articles" visible="false"></asp:checkbox><br />
      &nbsp;<asp:checkbox id="chbShowEditorsNoteOnOff" runat="server" CssClass="Normal" Text="Show Editor's Note" visible="false"></asp:checkbox><br />
      <br/>
      <label class="SubHead">Show X Items:</label><br />
      <asp:textbox id="txtMaxResults" CssClass="NormalTextBox" MaxLength="5" runat="server" Width="72px">20</asp:textbox>
      <asp:requiredfieldvalidator id="RequiredFieldValidator1" CssClass="SubHead" runat="server" ErrorMessage="*"
        ControlToValidate="txtMaxResults"></asp:requiredfieldvalidator><br />
      <label class="SubHead">List date format:</label><br />
      <asp:DropDownList id="ddlFormatsDates" runat="server" Font-Names="Tahoma" Font-Size="XX-Small">
        <asp:ListItem Value="100">mon dd yyyy hh:miAM</asp:ListItem>
        <asp:ListItem Value="101">mm/dd/yyyy</asp:ListItem>
        <asp:ListItem Value="102">yy.mm.dd</asp:ListItem>
        <asp:ListItem Value="103">dd/mm/yy</asp:ListItem>
        <asp:ListItem Value="104">dd.mm.yy</asp:ListItem>
        <asp:ListItem Value="105">dd-mm-yy</asp:ListItem>
        <asp:ListItem Value="106">dd mon yy</asp:ListItem>
        <asp:ListItem Value="107">Mon dd, yy</asp:ListItem>
        <asp:ListItem Value="109">mon dd yyyy hh:mi:ss:mmmAM</asp:ListItem>
        <asp:ListItem Value="110">mm-dd-yy</asp:ListItem>
        <asp:ListItem Value="111">yy/mm/dd</asp:ListItem>
        <asp:ListItem Value="112">yymmdd</asp:ListItem>
        <asp:ListItem Value="113">dd mon yyyy hh:mm:ss:mmm</asp:ListItem>
        <asp:ListItem Value="120">yyyy-mm-dd hh:mi:ss</asp:ListItem>
        <asp:ListItem Value="121">yyyy-mm-dd hh:mi:ss.mmm</asp:ListItem>
        <asp:ListItem Value="130">dd mon yyyy hh:mi:ss:mmm</asp:ListItem>
        <asp:ListItem Value="131">dd/mm/yy hh:mi:ss:mmmAM</asp:ListItem>
      </asp:DropDownList>
    </td>
    <td valign="top" align="left" >
      <asp:radiobuttonlist id="rblTopListSerachParams" runat="server" CssClass="Normal">
        <asp:ListItem Value="CD_DESC" Selected="True" resourcekey="rblTopListSerachParams_CD_DES">By Created DESC</asp:ListItem>
        <asp:ListItem Value="CD_ASC" resourcekey="rblTopListSerachParams_CD_ASC">By Created ASC</asp:ListItem>
        <asp:ListItem Value="LU_DESC" resourcekey="rblTopListSerachParams_LU_DESC">By Last Updated DESC</asp:ListItem>
        <asp:ListItem Value="LU_ASC" resourcekey="rblTopListSerachParams_LU_ASC">By Last Updated ASC</asp:ListItem>
        <asp:ListItem Value="Visited" resourcekey="rblTopListSerachParams_Visited">Most Popular</asp:ListItem>
        <asp:ListItem Value="Rate" resourcekey="rblTopListSerachParams_Rate">Top Rated</asp:ListItem>
        <asp:ListItem Value="Title" resourcekey="rblTopListSerachParams_Title">Title</asp:ListItem>
        <asp:ListItem Value="SP_ASC" resourcekey="rblTopListSerachParams_SP_ASC">By Start Publishing ASC</asp:ListItem>
        <asp:ListItem Value="SP_DESC" resourcekey="rblTopListSerachParams_SP_DESC">By Start Publishing DESC</asp:ListItem>
      </asp:radiobuttonlist><br />
      <br />
      <label class="SubHead" visible="false"></label> <!--Image Location:-->
      <asp:RadioButtonList id="rblImageLocation" Width="112px" runat="server" CssClass="Normal" Visible="false">
        <asp:ListItem Value="1" Selected="True">DNN Default</asp:ListItem>
      </asp:RadioButtonList>
    </td>
    <td valign="top" align="left">
      <asp:checkbox id="chbShowPager" runat="server" CssClass="Normal" Text="Show Pager" Checked="True"></asp:checkbox><br />
      <asp:CheckBox id="chbShowCatPath" runat="server" CssClass="Normal" Text="Show Category Path"></asp:CheckBox><br />
      <asp:CheckBox id="chbShowAuthorWithArticle" runat="server" CssClass="Normal" Text="Author's Biography On/Off"></asp:CheckBox><br />
      <asp:CheckBox id="chbShowCreatedDAte" runat="server" CssClass="Normal" Text="Show Created Date" Visible="true"></asp:CheckBox>
      <br />
      <asp:CheckBox id="chbContentSharingOnOff" runat="server" CssClass="Normal" Text="Content Sharing On/Off"></asp:CheckBox><br />
      <asp:CheckBox id="chbShortBioOnOff" runat="server" CssClass="Normal" Text="Short Biography On/Off" Checked="True"></asp:CheckBox><br />
      <asp:CheckBox id="cbhShowAllAsOnePage" runat="server" CssClass="Normal" Checked="False" resourcekey="cbhShowAllAsOnePage"></asp:CheckBox><br />
      <asp:CheckBox ID="chbShowTile" CssClass="Normal" runat="server" resourcekey="chbShowTile" />
    </td>
  </tr>
</table>
<table cellspacing="0" cellpadding="2" border="0"  style="width:180px">
  <tr>
		<td class="SubHead" colspan="2" align="center">
			<asp:label id="lbImagesSettings" resourcekey="lbImagesSettings" runat="server" Text="Images Settings"></asp:label>
		</td>
	</tr>
</table>
<table cellspacing="0" cellpadding="2" border="0" >
	<tr>
		<td class="SubHead" style="width:200px">
			<dnn:label id="lbApproveImage" controlname="txtApproveImage" suffix="" runat="server" resourcekey="lbApproveImage" Text="Approve Image:">
			</dnn:label>
		</td>
		<td style="width:200px">
			<asp:textbox id="txtApproveImage" runat="server" width="100%" cssclass="NormalTextBox"/>
		</td>
	</tr>
	<tr>
		<td class="SubHead" style="width:200px">
			<dnn:label id="lbFeatureImage" controlname="txtFeatureImage" suffix="" runat="server" resourcekey="lbFeatureImage" Text="Feature Image:">
			</dnn:label>
		</td>
		<td style="width:200px">
			<asp:textbox id="txtFeatureImage" runat="server" width="100%" cssclass="NormalTextBox"/>
		</td>
	</tr>
	<tr>
		<td class="SubHead" style="width:200px">
			<dnn:label id="lbNewImage" controlname="txtNewImage" suffix="" runat="server" resourcekey="lbNewImage" Text="New Image:">
			</dnn:label>
		</td>
		<td style="width:200px">
			<asp:textbox id="txtNewImage" runat="server" width="100%" cssclass="NormalTextBox"/>
		</td>
	</tr>	
	<tr>
		<td class="SubHead" style="width:200px">
			<dnn:label id="lbPublishImage" controlname="txtPublishImage" suffix="" runat="server" resourcekey="lbPublishImage" Text="Publish Image:">
			</dnn:label>
		</td>
		<td style="width:200px">
			<asp:textbox id="txtPublishImage" runat="server" width="100%" cssclass="NormalTextBox"/>
		</td>
	</tr>
	<tr>
		<td class="SubHead" style="width:200px">
			<dnn:label id="lbRequiredAuthImage" controlname="txtRequiredAuthImage" suffix="" runat="server" resource="lbRequiredAuthImage" Text="Required Auth. Image:">
			</dnn:label>
		</td>
		<td style="width:200px">
			<asp:textbox id="txtRequiredAuthImage" runat="server" width="100%" cssclass="NormalTextBox"/>
		</td>
	</tr>
    <tr>
		<td class="SubHead" style="width:200px">
			<dnn:label id="lbReadMoreImage" controlname="txtReadMoreImage" suffix=":" runat="server" resource="lbReadMoreImage" >
			</dnn:label>
		</td>
		<td style="width:200px">
			<asp:textbox id="txtReadMoreImage" runat="server" width="100%" cssclass="NormalTextBox"/>
		</td>
	</tr>
	
	
	
</table>