<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_CategoriesTree.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_CategoriesTree" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<script type="text/javascript">
    // Handles the TreeView node select event 
    function <%=TreeViewCallback.ClientObjectId%>CategoriesTreeNodeSelect(node)
    { 
      //alert(node);
      //alert(node.Value);
      <%=TreeViewCallback.ClientObjectId%>.Callback(node.Value);
    }
</script>
<div class="tree" align="left">
    <asp:Label ID="lblTitle" Visible='<%# _title!="" %>' CssClass="SubSubHead" runat="server">
    <%# _title %>
    </asp:Label>&nbsp;
    <asp:LinkButton ID="btnCmd" Visible="<%# _showCommandButton %>" CssClass="CommandButton"
        CommandArgument="<%# _rootId %>" CommandName="Command" runat="server">
    <%# _commandLabel %>
    </asp:LinkButton><asp:Panel ID="pnlEditTree" Visible="<%# _showEditor %>" runat="server"
        HorizontalAlign="Center">
        <asp:TextBox ID="txtNewNode" CssClass="NormalTextBox" runat="server" Width="110"></asp:TextBox><br />
        <asp:LinkButton ID="btnAddRoot" CssClass="CommandButton" runat="server">Add as root</asp:LinkButton>&nbsp;|
        <asp:LinkButton ID="btnAddSelected" CssClass="CommandButton" runat="server" Enabled="False">Add to selected</asp:LinkButton>
        <asp:Panel ID="pnlView" runat="server" HorizontalAlign="Center">
            <asp:LinkButton ID="btnEdit" CssClass="CommandButton" runat="server" CommandName="Edit"
                Enabled="False">Edit selected</asp:LinkButton>&nbsp; | &nbsp;
            <asp:LinkButton ID="btnDelete" CssClass="CommandButton" runat="server" CommandName="Delete"
                Enabled="False">Delete selected</asp:LinkButton></asp:Panel>
        <br />
        <asp:Panel ID="pnlEdit" runat="server" Visible="False" HorizontalAlign="Center">
            <asp:LinkButton ID="btnCancel" CssClass="CommandButton" runat="server" CommandName="Cancel">Cancel</asp:LinkButton>&nbsp;|
            <asp:LinkButton ID="btnSave" CssClass="CommandButton" runat="server" CommandName="Save">Save</asp:LinkButton></asp:Panel>
    </asp:Panel>
    <div id="divTree" runat="server">
        &nbsp;</div>
</div>
<componentart:CallBack ID="TreeViewCallback" runat="server">
    <Content>
        <asp:PlaceHolder runat="server" ID="PlaceHolder1">
            <componentart:TreeView ID="tvCategories" CssClass="TreeView" runat="server" Width="100%"
                EnableViewState="false" NodeCssClass="TreeNode" SelectedNodeCssClass="HoverTreeNode"
                HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20" ShowLines="True"
                Height="128px" LineImagesFolderUrl="Images/treeview/images/lines" ClientSideOnNodeCheckChanged="CategoriesTreeNodeSelect">
            </componentart:TreeView>
        </asp:PlaceHolder>
    </Content>
</componentart:CallBack>
