<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_RelatedArticlesEdit.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_RelatedArticlesEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Register TagPrefix="uc1" TagName="ExtRelatedContentView" Src="UserControls/ExtRelatedContentView.ascx" %>


<script type="text/javascript">
    // Handles the TreeView node select event 
    function TreeViewNodeSelect(node)
    { 
      <%=TreeViewCallback.ClientID%>.Callback(node.Value);
    }
    
    // Handles the Grid checkbox checked event 
    function grdArticleListCheckChanged(gridItemChosen, columnIndex, checkboxDOM)
    { 
      //alert('grdArticleListCheckChanged');
	    var grdArts = <%=grdArticleList.ClientID%>;
	    var articleId = "";
      var gridItem;
      var itemIndex = 0;
//alert(checkboxDOM.checked);
		  // Get item's setting
		  //if (checkboxDOM.checked)
			  articleId = gridItemChosen.Cells[0].Value;
  		
  		  //grdArts.beginUpdate();
		  // Uncheck any other checkboxes that might be checked
		  while(gridItem = grdArts.Table.GetRow(itemIndex))
		  {
		      if( gridItem.ClientId != gridItemChosen.ClientId )
				  gridItem.SetValue(columnIndex, false);
			  itemIndex++;
		  }

		  // Set the checkbox
		  gridItemChosen.SetValue(columnIndex,  articleId);
		  //
            //grid.endUpdate();
            
		  
  		
		  // Save setting on the server
		  <%=grdArticleListCallback.ClientID%>.Callback( articleId );
  		//grdArts.Render();
  		    //grdArts.Render();
		  return true;
    }
    
    function Grid1_onItemCheckChange(sender, eventArgs)
    {
      // event handler logic goes here
      // eventArgs is of GridItemEventArgs type
      //alert(eventArgs.get_item().getMember('Selector').get_text());
    }

    function grdArticleList__onPageIndexChange(sender, eventArgs)
    {
        var value = eventArgs.get_index();
        //alert(value);
         <%=grdArticleList.ClientID%>.Render();
    }

    function Callback1_onBeforeCallback(sender, e)
    {
        if (<%=grdArticleList.ClientID%> != null)
        {
            <%=grdArticleList.ClientID%>.dispose();
        }
    }


</script>

<componentart:CallBack ID="TreeViewCallback" runat="server">
<clientevents>
        <beforecallback eventhandler="Callback1_onBeforeCallback" />
    </clientevents>
    <Content>
        <asp:PlaceHolder runat="server" ID="PlaceHolder1">
            Categories
            <div>
                <div style="float: left;width: 30%;">
                    <componentart:TreeView ID="tvCategories" ClientSideOnNodeCheckChanged="TreeViewNodeSelect"
                                NodeCssClass="TreeNode" SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode"
                                LineImageWidth="19" LineImageHeight="20" ShowLines="True" EnableViewState="false"
                                LineImagesFolderUrl="Images/treeview/images/lines" runat="server" CssClass="TreeView"
                                Width="200px">
                        </componentart:TreeView>
                </div>
                <div style="float: left;width: 70%;">
                    <componentart:Grid ID="grdArticleList" runat="server" CssClass="Grid"
                            PageSize="10" 
                            PagerTextCssClass="PagerText" 
                            RunningMode="Client" 
                            FooterCssClass="GridFooter" 
                            FillContainer="true" 
                            AllowPaging="true"
                            ClientSideOnCheckChanged="grdArticleListCheckChanged" 
                            EnableViewState="True"
                            ImagesBaseUrl="/DesktopModules/DNNMasters.CB.ArticleBrowser/Images/grid/images/"
                            PagerImagesFolderUrl="/DesktopModules/DNNMasters.CB.ArticleBrowser/Images/grid/images/pager/"
                            ManualPaging="false" 
                            Width="100%">
                            <Levels>
                                <componentart:GridLevel SelectorImageUrl="~/desktopmodules/DNNMasters.CB.ArticleBrowser/Images/grid/images/selector.gif" DataKeyField="ArticleID"
                                    SelectedRowCssClass="SelectedRow" DataCellCssClass="DataCell" HeadingSelectorCellCssClass="SelectorCell"
                                    HeadingTextCssClass="HeadingCellText" ShowSelectorCells="True" SortAscendingImageUrl="asc.gif"
                                    HeadingCellCssClass="HeadingCell" SelectorImageHeight="15" SortImageWidth="10"
                                    SortDescendingImageUrl="desc.gif" SelectorCellWidth="18" HeadingRowCssClass="HeadingRow"
                                    SelectorImageWidth="17" SortImageHeight="10" SelectorCellCssClass="SelectorCell"
                                    RowCssClass="Row">
                                    <Columns>
                                        <componentart:GridColumn Visible="False" DataField="ArticleID"></componentart:GridColumn>
                                        <componentart:GridColumn HeadingText="Use" DataType="System.Boolean" ColumnType="CheckBox"
                                            DataField="Selector" AllowEditing="True"></componentart:GridColumn>
                                        <componentart:GridColumn HeadingText="Created" FormatString="MMM dd yyyy, hh:mm tt"
                                            DataField="CreatedDate"></componentart:GridColumn>
                                        <componentart:GridColumn HeadingText="Title" TextWrap="True" DataField="Title" Width="350">
                                        </componentart:GridColumn>
                                        <componentart:GridColumn HeadingText="Authors" DataField="Authors"></componentart:GridColumn>
                                    </Columns>
                                </componentart:GridLevel>
                            </Levels>
                            <ClientEvents>
                                <ItemCheckChange EventHandler="Grid1_onItemCheckChange" />
                                <PageIndexChange EventHandler="grdArticleList__onPageIndexChange" />
                            </ClientEvents>
                        </componentart:Grid>
                
                </div>
            </div>
        </asp:PlaceHolder>
    </Content>
</componentart:CallBack>
<componentart:CallBack ID="grdArticleListCallback" runat="server">
</componentart:CallBack>

<table>
    <tr>
        <td class="SubHead">External related content</td>
    </tr>
    <tr>
        <td>
            <uc1:ExtRelatedContentView id="_ctlExtRelatedContentView" runat="server" Visible="true" />
        </td>
    </tr>
</table>


<asp:LinkButton ID="_lnkReturn" runat="server" CssClass="CommandButton">Return</asp:LinkButton>
