<%@ register tagprefix="dnn" tagname="Label" src="~/controls/LabelControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="CB_TickerViewOptions.ascx.cs" Inherits="DNNMasters.ContentBuilder.CB_TickerViewOptions" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI" Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<script type="text/javascript">
    // Handles the TreeView node select event 
    function <%=tvCategoriesCallback.ClientID%>CategoriesTreeNodeSelect(node)
    { 
      //alert(node);
      //alert(node.Value);
      <%=tvCategoriesCallback.ClientID%>.Callback(node.Value);
    }
</script>
<table align="center">
  <tr>
    <td valign="top">
      <table>
        <tr>
          <td class="SubHead" align="left">
			      <dnn:label id="lblCategories" resourcekey="lblCategories" controlname="" suffix="" runat="server"></dnn:label></td>
        </tr>
        <tr>
          <td>
            <componentart:callback id="tvCategoriesCallback" runat="server" Width="140px" >
             <Content>
              <asp:PlaceHolder Runat="server" ID="PlaceHolder1">
                <COMPONENTART:TREEVIEW id="tvCategories" CssClass="TreeView" runat="server" Width="140px" EnableViewState="false"
                AutoScroll="true" BorderWidth="1px" BorderStyle="Solid"
                  NodeCssClass="TreeNode" SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode" LineImageWidth="19"
                  LineImageHeight="20" ShowLines="True" LineImagesFolderUrl="Images/treeview/images/lines"
                  ClientSideOnNodeCheckChanged="CategoriesTreeNodeSelect"></COMPONENTART:TREEVIEW>
              </asp:PlaceHolder>
             </Content>
            </componentart:callback>
          </td>
        </tr>
      </table>
    </td>
    <td>&nbsp;</td>
    <td valign="top">
      <table border="0">
	      <tr >
		      <td class="SubHead" align="left">
			      <dnn:label id="lblNumberOfArts" resourcekey="lblNumberOfArts" controlname="" suffix="" runat="server"></dnn:label></td>
		      <td class="Normal" >
			      <asp:textbox id="txtNumberOfArts" runat="server" CssClass="NormalTextBox"></asp:textbox>
		      </td>
		      <td>
			      <asp:RequiredFieldValidator id="reqNumberOfArts" runat="server" ErrorMessage="*" resourcekey="reqNumberOfArts" ControlToValidate="txtNumberOfArts"></asp:RequiredFieldValidator>
			      <asp:CompareValidator id="cmpNumberOfArts" runat="server" ErrorMessage="*" Operator="DataTypeCheck" Type="Integer" resourcekey="cmpNumberOfArts" ControlToValidate="txtNumberOfArts"></asp:CompareValidator> 
	        </td>
	      </tr>
	      <tr >
		      <td class="SubHead" align="left"></td>
		      <td >
			      <asp:RadioButtonList ID="rblTypeOfDisplay" runat="server" CssClass="Normal">
              <asp:ListItem Selected="True" resourcekey="rblTypeOfDisplay_LatestX" Value="LatestX"></asp:ListItem>
              <asp:ListItem resourcekey="rblTypeOfDisplay_MostPopularX" Value="MostPopularX"></asp:ListItem>
              <asp:ListItem resourcekey="rblTypeOfDisplay_TopRatedX" Value="TopRatedX"></asp:ListItem>
              <asp:ListItem resourcekey="rblTypeOfDisplay_RandomX" Value="RandomX"></asp:ListItem>
            </asp:RadioButtonList> 
		      </td>
		      <td>
	        </td>
	      </tr>	
	      <tr >
		      <td class="SubHead" align="left"></td>
      		  
		      <td class="Normal" >
            <asp:CheckBox ID="chbShowDate" resourcekey="chbShowDate" runat="server" /></td>
		      <td>
	        </td>
	      </tr>		
        <tr>
          <td align="left" class="SubHead">
          </td>
          <td class="Normal">
            <asp:CheckBox ID="chbShowAutor" resourcekey="chbShowAutor" runat="server" Visible="False" /></td>
          <td>
          </td>
        </tr>
        <tr>
          <td align="left" class="SubHead">
          </td>
          <td class="Normal">
            <asp:CheckBox ID="chbShowDescription" resourcekey="chbShowDescription" runat="server"  /></td>
          <td>
          </td>
        </tr>	<tr >
		      <td class="SubHead" align="left">
			      <dnn:label id="lblWidth" resourcekey="lblWidth" controlname="" suffix="" runat="server"></dnn:label></td>
		      <td class="Normal" >
			      <asp:textbox id="txtWidth" runat="server" CssClass="NormalTextBox"></asp:textbox>
		      </td>
		      <td>
			      <asp:RequiredFieldValidator id="reqWidth" runat="server" ErrorMessage="*" resourcekey="reqWidth" ControlToValidate="txtWidth"></asp:RequiredFieldValidator>
			      <asp:CompareValidator id="cmpWidth" runat="server" ErrorMessage="*" Operator="DataTypeCheck" Type="Integer" resourcekey="cmpWidth" ControlToValidate="txtWidth"></asp:CompareValidator> 
	        </td>
	      </tr>	
		      <tr >
		      <td class="SubHead" align="left">
			      <dnn:label id="lblHeight" resourcekey="lblHeight" controlname="" suffix="" runat="server"></dnn:label></td>
		      <td class="Normal" >
			      <asp:textbox id="txtHeight" runat="server" CssClass="NormalTextBox"></asp:textbox>
		      </td>
		      <td>
			      <asp:RequiredFieldValidator id="reqHeight" runat="server" ErrorMessage="*" resourcekey="reqHeight" ControlToValidate="txtHeight"></asp:RequiredFieldValidator>
			      <asp:CompareValidator id="cmpHeight" runat="server" ErrorMessage="*" Operator="DataTypeCheck" Type="Integer" resourcekey="cmpHeight" ControlToValidate="txtHeight"></asp:CompareValidator> 
	        </td>
	      </tr>	
        <tr>
          <td align="left" class="SubHead">
            <dnn:label id="lblRotationType" resourcekey="lblRotationType" controlname="" suffix="" runat="server">
            </dnn:label></td>
          <td class="Normal" valign="top">
            <table border="0">
              <tr>
                <td>
                  <asp:radiobutton id="rbSimpleRotator" runat="server" groupname="ROTATION_TYPE" checked="True"></asp:radiobutton >
                </td>
                <td class="Normal">
                  <dnn:label id="lblSimpleRotator" resourcekey="lblSimpleRotator" controlname="" suffix="" runat="server"></dnn:label>
                </td>
              </tr>
              <tr>
                <td>
                  <asp:radiobutton id="rbRotatorWithTickers" runat="server" groupname="ROTATION_TYPE" checked="False"></asp:radiobutton >
                </td>
                <td class="Normal">
                  <dnn:label id="lblRotatorWithTickers" resourcekey="lblRotatorWithTickers" controlname="" suffix="" runat="server"></dnn:label>
                </td>
              </tr>
              <tr>
                <td>
                  <asp:radiobutton id="rbVerticalHeadlinesRotator" runat="server" groupname="ROTATION_TYPE" checked="False"></asp:radiobutton >
                </td>
                <td class="Normal">
                  <dnn:label id="lblVerticalHeadlinesRotator" resourcekey="lblVerticalHeadlinesRotator" controlname="" suffix="" runat="server"></dnn:label>
                </td>
              </tr>
              <tr>
                <td>
                  <asp:radiobutton id="rbHorizontalHeadlinesRotator" runat="server" groupname="ROTATION_TYPE" checked="False"></asp:radiobutton >
                </td>
                <td class="Normal">
                  <dnn:label id="lblHorizontalHeadlinesRotator" resourcekey="lblHorizontalHeadlinesRotator" controlname="" suffix="" runat="server"></dnn:label>
                </td>
              </tr>
            </table>  
          </td>
          <td>
          </td>
        </tr>
      </table>
    </td>    
  </tr>
</table>
<asp:LinkButton id="cmdUpdate" runat="server" CssClass="CommandButton">Update</asp:LinkButton>&nbsp;&nbsp; 
<asp:LinkButton id="cmdCancel" runat="server" CssClass="CommandButton" CausesValidation="False">Cancel</asp:LinkButton> 



