<%@ Control Language="c#" Codebehind="CurrencySettings.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreSettingsControls.CurrencySettings" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table>
    <tr>
        <td>
            <dnn:Label ID="lblCurrency" CssClass="Normal" ControlName="" Suffix=":" runat="server" ResourceKey="lblCurrency" />
        </td>
        <td>
            <asp:TextBox ID="_txtCurrency" runat="server" CssClass="NormalTextBox" MaxLength="5" Width="50px"></asp:TextBox>
        </td>    
    </tr>
    <tr>
        <td>
            <dnn:Label ID="lblDefineTax" CssClass="Normal" ControlName="" Suffix=":" runat="server" ResourceKey="lblDefineTax" />
        </td>
        <td>
            <asp:TextBox ID="_txtDefineTax" runat="server" CssClass="NormalTextBox" MaxLength="3" Width="50px"></asp:TextBox>
            <asp:CompareValidator ID="val1" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtDefineTax" Operator="DataTypeCheck" Type="Integer" Display="Dynamic"></asp:CompareValidator>
            <asp:RequiredFieldValidator ID="reqval1" runat="server" ErrorMessage="Required!" ControlToValidate="_txtDefineTax" Display="Dynamic"></asp:RequiredFieldValidator>
        </td>    
    </tr>
    <tr>
        <td>
            <dnn:Label ID="lblAddTax" CssClass="Normal" ControlName="" Suffix=":" runat="server" ResourceKey="lblAddTax" />
        </td>
        <td>
            <asp:CheckBox ID="_chkAddTax" runat="server" />
        </td>    
    </tr>
</table>
<asp:LinkButton ID="_lnkUpdate" runat="server">Update</asp:LinkButton>&nbsp;&nbsp;&nbsp;
<asp:LinkButton ID="_lnkCancel" runat="server" Visible="false">Cancel</asp:LinkButton>

