<%@ Control Language="c#" Codebehind="EmailNotifySettings.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreSettingsControls.EmailNotifySettings" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table>
    <tr>
        <td>
            <table>
                <tr>
                    <td style="width:50px;">
                        <dnn:label id="lblEmail" runat="server" controlname="_txbEmail" suffix=":" />
                    </td>
                    <td>
                        <asp:TextBox ID="_txbEmail" runat="server" CssClass="Normal" Width="200px" />
                        <asp:RequiredFieldValidator ID="_valEmail" resourcekey="Reqiued.ErrorMessage" CssClass="Normal"
                            runat="server" ControlToValidate="_txbEmail" Display="Dynamic" ValidationGroup="grpEmail" />
                        <asp:RegularExpressionValidator ID="_valEmail2" runat="server" resourcekey="valEmail2.ErrorMessage"
                            CssClass="Normal" ControlToValidate="_txbEmail" Display="Dynamic" ValidationGroup="grpEmail" />
                        <asp:LinkButton ID="_lnkUpdateEmail" resourcekey="_lnkUpdate" CssClass="Normal" runat="server"
                            ValidationGroup="grpEmail" OnClick="_lnkUpdateEmail_Click" CausesValidation="false" />                            
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <table>
                            <tr>
                                <td>
                                    <asp:ListBox ID="_lbcSubscriptions" runat="server" CssClass="NormalTextBox" Width="250"
                                        Height="150" DataTextField="Text" DataValueField="Value" />
                                </td>
                                <td valign="middle">
                                    <asp:ImageButton ID="_imgDeleteSubscription" runat="server" ImageUrl="~/images/delete.gif"
                                         onclick="_imgDeleteSubscription_Click" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        <dnn:label id="lblNotifEnabled" runat="server" controlname="_cbNotifEnabled" suffix=":" />
                    </td>
                    <td>
                        <asp:CheckBox ID="_cbNotifEnabled" runat="server" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<asp:LinkButton ID="_lnkUpdate" runat="server">Update</asp:LinkButton>&nbsp;&nbsp;&nbsp;
<asp:LinkButton ID="_lnkCancel" runat="server" Visible="false">Cancel</asp:LinkButton>

