<%@ Control Language="c#" Codebehind="OrderStatusView.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreSettingsControls.OrderStatusView" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ register tagprefix="componentart" namespace="DNNMasters.CB.ComponentArt.Web.UI"  assembly="DNNMasters.CB.ComponentArt.Web.UI" %>

<style>
a:active,a:focus { outline:none; }

.grid { background:#fff;padding:10px;border:1px solid #fff; }

/* Colour Picker styles */
.colorpicker div { clear:none !important; }
.swatches { width:100%;height:auto;border:0; }

.swatch { border:1px solid #999;border-color:#999 #fff #fff #999;width:12px;height:12px;cursor:default;overflow:hidden;padding:0;margin:0; }
.swatch-h { border:1px solid #999;width:12px;height:12px;cursor:default;overflow:hidden;padding:0;margin:0; }
.swatch-a { border:1px solid #333;width:12px;height:12px;cursor:default;overflow:hidden;padding:0;margin:0; }

/* Assorted styles */
div.info { height:20px;background:none;padding:10px;border:0px solid #fff;border-color:#fff #9d9da1 #9d9da1 #ededed; }
    div.info .chip { width:220px;height:20px;border:1px solid #9d9da1;border-color:#9d9da1 #fff #fff #9d9da1;float:left; }
    div.info .hex { width:50px;height:20px;float:left;line-height:20px;background:#fff;border:1px solid #9d9da1;padding:0 0 0 2px;border-color:#9d9da1 #fff #fff #9d9da1;margin:0 0 0 2px;color:#666;text-transform:uppercase; }
</style>

<script type="text/javascript">

function colorChanged(sender,eventArgs){
    
    if(sender.get_selectedColor() && sender.get_selectedColor().get_hex()){
        document.getElementById('<%=chip.ClientID %>').style.backgroundColor = '#'+sender.get_selectedColor().get_hex();
        //<%#hexoutput.ClientID %>.innerHTML = '#'+sender.get_selectedColor().get_hex();
        document.getElementById('<%=hexoutput.ClientID %>').innerHTML = '#'+sender.get_selectedColor().get_hex();
        //document.getElementById('hexoutput2').innerHTML = '#'+sender.get_selectedColor().get_hex();
    }
}

function load(){
    if (!document.getElementById('<%=chip.ClientID %>')) {
        setTimeout('load()',250);
        return;
    }

    if (_clpckStatusColor.get_selectedColor() && _clpckStatusColor.get_selectedColor().get_hex()) {
        //<%#hexoutput.ClientID %>.innerHTML ='#'+_clpckStatusColor.get_selectedColor().get_hex();
//        document.getElementById('hexoutput2').innerHTML ='#'+_clpckStatusColor.get_selectedColor().get_hex();
//        document.getElementById('chip').style.backgroundColor = document.getElementById('hexoutput2').innerHTML;
        document.getElementById('<%=hexoutput.ClientID %>').innerHTML ='#'+_clpckStatusColor.get_selectedColor().get_hex();
        document.getElementById('<%=chip.ClientID %>').style.backgroundColor = document.getElementById('<%=hexoutput.ClientID %>').innerHTML;
        document.getElementById('<%=_txtStatusColor.ClientID %>').value = '#'+_clpckStatusColor.get_selectedColor().get_hex();
        
    }
}

</script>


<table align="center" style="width:600px">
    <tr>
        <td>
            <asp:LinkButton ID="_btnCreateStatus" runat="server" CssClass="CommandButton" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="_pnlCreateEditStatus" runat="server" Visible="false">
                <dnn:label id="lblCreateEditStatus" suffix="" runat="server" CssClass="Normal" resource="lblCreateEditStatus" />            
                <table width="550px">
                    <tr>
                        <td class="Normal"><dnn:label id="lblStatusName" suffix=":" runat="server" CssClass="Normal" resource="lblStatusName" /></td>
                        <td nowrap><asp:TextBox ID="_txtStatusName" runat="server" CssClass="Normal" Width="250px" MaxLength="30" ></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="Normal"><dnn:label id="lblStatusSequence" suffix=":" runat="server" CssClass="Normal" resource="lblStatusSequence" /></td>
                        <td nowrap><asp:TextBox ID="_txtStatusSequence" runat="server" CssClass="Normal" Width="20px" MaxLength="2" ></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="Normal" valign="top"><dnn:label id="lblStatusColor" suffix=":" runat="server" CssClass="Normal" resource="lblStatusColor" /></td>
                        <td nowrap>
            <div>
                <div class="info">
                    <div runat="server" id="chip" class="chip"></div>
                    <asp:TextBox ID="_txtStatusColor" runat="server" CssClass="Normal" Width="80px" MaxLength="20" ></asp:TextBox>
                    <div runat="server" id="hexoutput" class="hex" style="visibility:hidden"></div>
                </div>
            </div>                        
                        
                        
                        
<div style="width:300px;background:#fff;padding:10px;">
            <div class="grid">
                <ComponentArt:ColorPicker
                    ID="_clpckStatusColor"
                    GridColumns="18"
                    Mode="Grid"
                    CssClass="colorpicker"
                    ColorCssClass="swatch"
                    ColorHoverCssClass="swatch-h"
                    ColorActiveCssClass="swatch-a"
                    ColorGridCssClass="swatches"
                    GridCellSpacing="2"
                    runat="server"
                >
                    <ClientEvents>
                        <ColorChanged EventHandler="colorChanged" />
                        <Load EventHandler="load" />
                    </ClientEvents>

                    <Colors>
                        <ComponentArt:ColorPickerColor Hex="#000000" />
                        <ComponentArt:ColorPickerColor Hex="#000033" />
                        <ComponentArt:ColorPickerColor Hex="#000066" />
                        <ComponentArt:ColorPickerColor Hex="#000099" />
                        <ComponentArt:ColorPickerColor Hex="#0000cc" />
                        <ComponentArt:ColorPickerColor Hex="#0000ff" />
                        <ComponentArt:ColorPickerColor Hex="#003300" />
                        <ComponentArt:ColorPickerColor Hex="#003333" />
                        <ComponentArt:ColorPickerColor Hex="#003366" />
                        <ComponentArt:ColorPickerColor Hex="#003399" />
                        <ComponentArt:ColorPickerColor Hex="#0033cc" />
                        <ComponentArt:ColorPickerColor Hex="#0033ff" />
                        <ComponentArt:ColorPickerColor Hex="#006600" />
                        <ComponentArt:ColorPickerColor Hex="#006633" />
                        <ComponentArt:ColorPickerColor Hex="#006666" />
                        <ComponentArt:ColorPickerColor Hex="#006699" />
                        <ComponentArt:ColorPickerColor Hex="#0066cc" />
                        <ComponentArt:ColorPickerColor Hex="#0066ff" />
                        <ComponentArt:ColorPickerColor Hex="#009900" />
                        <ComponentArt:ColorPickerColor Hex="#009933" />
                        <ComponentArt:ColorPickerColor Hex="#009966" />
                        <ComponentArt:ColorPickerColor Hex="#009999" />
                        <ComponentArt:ColorPickerColor Hex="#0099cc" />
                        <ComponentArt:ColorPickerColor Hex="#0099ff" />
                        <ComponentArt:ColorPickerColor Hex="#00cc00" />
                        <ComponentArt:ColorPickerColor Hex="#00cc33" />
                        <ComponentArt:ColorPickerColor Hex="#00cc66" />
                        <ComponentArt:ColorPickerColor Hex="#00cc99" />
                        <ComponentArt:ColorPickerColor Hex="#00cccc" />
                        <ComponentArt:ColorPickerColor Hex="#00ccff" />
                        <ComponentArt:ColorPickerColor Hex="#00ff00" />
                        <ComponentArt:ColorPickerColor Hex="#00ff33" />
                        <ComponentArt:ColorPickerColor Hex="#00ff66" />
                        <ComponentArt:ColorPickerColor Hex="#00ff99" />
                        <ComponentArt:ColorPickerColor Hex="#00ffcc" />
                        <ComponentArt:ColorPickerColor Hex="#00ffff" />
                        <ComponentArt:ColorPickerColor Hex="#330000" />
                        <ComponentArt:ColorPickerColor Hex="#330033" />
                        <ComponentArt:ColorPickerColor Hex="#330066" />
                        <ComponentArt:ColorPickerColor Hex="#330099" />
                        <ComponentArt:ColorPickerColor Hex="#3300cc" />
                        <ComponentArt:ColorPickerColor Hex="#3300ff" />
                        <ComponentArt:ColorPickerColor Hex="#333300" />
                        <ComponentArt:ColorPickerColor Hex="#333333" />
                        <ComponentArt:ColorPickerColor Hex="#333366" />
                        <ComponentArt:ColorPickerColor Hex="#333399" />
                        <ComponentArt:ColorPickerColor Hex="#3333cc" />
                        <ComponentArt:ColorPickerColor Hex="#3333ff" />
                        <ComponentArt:ColorPickerColor Hex="#336600" />
                        <ComponentArt:ColorPickerColor Hex="#336633" />
                        <ComponentArt:ColorPickerColor Hex="#336666" />
                        <ComponentArt:ColorPickerColor Hex="#336699" />
                        <ComponentArt:ColorPickerColor Hex="#3366cc" />
                        <ComponentArt:ColorPickerColor Hex="#3366ff" />
                        <ComponentArt:ColorPickerColor Hex="#339900" />
                        <ComponentArt:ColorPickerColor Hex="#339933" />
                        <ComponentArt:ColorPickerColor Hex="#339966" />
                        <ComponentArt:ColorPickerColor Hex="#339999" />
                        <ComponentArt:ColorPickerColor Hex="#3399cc" />
                        <ComponentArt:ColorPickerColor Hex="#3399ff" />
                        <ComponentArt:ColorPickerColor Hex="#33cc00" />
                        <ComponentArt:ColorPickerColor Hex="#33cc33" />
                        <ComponentArt:ColorPickerColor Hex="#33cc66" />
                        <ComponentArt:ColorPickerColor Hex="#33cc99" />
                        <ComponentArt:ColorPickerColor Hex="#33cccc" />
                        <ComponentArt:ColorPickerColor Hex="#33ccff" />
                        <ComponentArt:ColorPickerColor Hex="#33ff00" />
                        <ComponentArt:ColorPickerColor Hex="#33ff33" />
                        <ComponentArt:ColorPickerColor Hex="#33ff66" />
                        <ComponentArt:ColorPickerColor Hex="#33ff99" />
                        <ComponentArt:ColorPickerColor Hex="#33ffcc" />
                        <ComponentArt:ColorPickerColor Hex="#33ffff" />
                        <ComponentArt:ColorPickerColor Hex="#660000" />
                        <ComponentArt:ColorPickerColor Hex="#660033" />
                        <ComponentArt:ColorPickerColor Hex="#660066" />
                        <ComponentArt:ColorPickerColor Hex="#660099" />
                        <ComponentArt:ColorPickerColor Hex="#6600cc" />
                        <ComponentArt:ColorPickerColor Hex="#6600ff" />
                        <ComponentArt:ColorPickerColor Hex="#663300" />
                        <ComponentArt:ColorPickerColor Hex="#663333" />
                        <ComponentArt:ColorPickerColor Hex="#663366" />
                        <ComponentArt:ColorPickerColor Hex="#663399" />
                        <ComponentArt:ColorPickerColor Hex="#6633cc" />
                        <ComponentArt:ColorPickerColor Hex="#6633ff" />
                        <ComponentArt:ColorPickerColor Hex="#666600" />
                        <ComponentArt:ColorPickerColor Hex="#666633" />
                        <ComponentArt:ColorPickerColor Hex="#666666" />
                        <ComponentArt:ColorPickerColor Hex="#666699" />
                        <ComponentArt:ColorPickerColor Hex="#6666cc" />
                        <ComponentArt:ColorPickerColor Hex="#6666ff" />
                        <ComponentArt:ColorPickerColor Hex="#669900" />
                        <ComponentArt:ColorPickerColor Hex="#669933" />
                        <ComponentArt:ColorPickerColor Hex="#669966" />
                        <ComponentArt:ColorPickerColor Hex="#669999" />
                        <ComponentArt:ColorPickerColor Hex="#6699cc" />
                        <ComponentArt:ColorPickerColor Hex="#6699ff" />
                        <ComponentArt:ColorPickerColor Hex="#66cc00" />
                        <ComponentArt:ColorPickerColor Hex="#66cc33" />
                        <ComponentArt:ColorPickerColor Hex="#66cc66" />
                        <ComponentArt:ColorPickerColor Hex="#66cc99" />
                        <ComponentArt:ColorPickerColor Hex="#66cccc" />
                        <ComponentArt:ColorPickerColor Hex="#66ccff" />
                        <ComponentArt:ColorPickerColor Hex="#66ff00" />
                        <ComponentArt:ColorPickerColor Hex="#66ff33" />
                        <ComponentArt:ColorPickerColor Hex="#66ff66" />
                        <ComponentArt:ColorPickerColor Hex="#66ff99" />
                        <ComponentArt:ColorPickerColor Hex="#66ffcc" />
                        <ComponentArt:ColorPickerColor Hex="#66ffff" />
                        <ComponentArt:ColorPickerColor Hex="#990000" />
                        <ComponentArt:ColorPickerColor Hex="#990033" />
                        <ComponentArt:ColorPickerColor Hex="#990066" />
                        <ComponentArt:ColorPickerColor Hex="#990099" />
                        <ComponentArt:ColorPickerColor Hex="#9900cc" />
                        <ComponentArt:ColorPickerColor Hex="#9900ff" />
                        <ComponentArt:ColorPickerColor Hex="#993300" />
                        <ComponentArt:ColorPickerColor Hex="#993333" />
                        <ComponentArt:ColorPickerColor Hex="#993366" />
                        <ComponentArt:ColorPickerColor Hex="#993399" />
                        <ComponentArt:ColorPickerColor Hex="#9933cc" />
                        <ComponentArt:ColorPickerColor Hex="#9933ff" />
                        <ComponentArt:ColorPickerColor Hex="#996600" />
                        <ComponentArt:ColorPickerColor Hex="#996633" />
                        <ComponentArt:ColorPickerColor Hex="#996666" />
                        <ComponentArt:ColorPickerColor Hex="#996699" />
                        <ComponentArt:ColorPickerColor Hex="#9966cc" />
                        <ComponentArt:ColorPickerColor Hex="#9966ff" />
                        <ComponentArt:ColorPickerColor Hex="#999900" />
                        <ComponentArt:ColorPickerColor Hex="#999933" />
                        <ComponentArt:ColorPickerColor Hex="#999966" />
                        <ComponentArt:ColorPickerColor Hex="#999999" />
                        <ComponentArt:ColorPickerColor Hex="#9999cc" />
                        <ComponentArt:ColorPickerColor Hex="#9999ff" />
                        <ComponentArt:ColorPickerColor Hex="#99cc00" />
                        <ComponentArt:ColorPickerColor Hex="#99cc33" />
                        <ComponentArt:ColorPickerColor Hex="#99cc66" />
                        <ComponentArt:ColorPickerColor Hex="#99cc99" />
                        <ComponentArt:ColorPickerColor Hex="#99cccc" />
                        <ComponentArt:ColorPickerColor Hex="#99ccff" />
                        <ComponentArt:ColorPickerColor Hex="#99ff00" />
                        <ComponentArt:ColorPickerColor Hex="#99ff33" />
                        <ComponentArt:ColorPickerColor Hex="#99ff66" />
                        <ComponentArt:ColorPickerColor Hex="#99ff99" />
                        <ComponentArt:ColorPickerColor Hex="#99ffcc" />
                        <ComponentArt:ColorPickerColor Hex="#99ffff" />
                        <ComponentArt:ColorPickerColor Hex="#cc0000" />
                        <ComponentArt:ColorPickerColor Hex="#cc0033" />
                        <ComponentArt:ColorPickerColor Hex="#cc0066" />
                        <ComponentArt:ColorPickerColor Hex="#cc0099" />
                        <ComponentArt:ColorPickerColor Hex="#cc00cc" />
                        <ComponentArt:ColorPickerColor Hex="#cc00ff" />
                        <ComponentArt:ColorPickerColor Hex="#cc3300" />
                        <ComponentArt:ColorPickerColor Hex="#cc3333" />
                        <ComponentArt:ColorPickerColor Hex="#cc3366" />
                        <ComponentArt:ColorPickerColor Hex="#cc3399" />
                        <ComponentArt:ColorPickerColor Hex="#cc33cc" />
                        <ComponentArt:ColorPickerColor Hex="#cc33ff" />
                        <ComponentArt:ColorPickerColor Hex="#cc6600" />
                        <ComponentArt:ColorPickerColor Hex="#cc6633" />
                        <ComponentArt:ColorPickerColor Hex="#cc6666" />
                        <ComponentArt:ColorPickerColor Hex="#cc6699" />
                        <ComponentArt:ColorPickerColor Hex="#cc66cc" />
                        <ComponentArt:ColorPickerColor Hex="#cc66ff" />
                        <ComponentArt:ColorPickerColor Hex="#cc9900" />
                        <ComponentArt:ColorPickerColor Hex="#cc9933" />
                        <ComponentArt:ColorPickerColor Hex="#cc9966" />
                        <ComponentArt:ColorPickerColor Hex="#cc9999" />
                        <ComponentArt:ColorPickerColor Hex="#cc99cc" />
                        <ComponentArt:ColorPickerColor Hex="#cc99ff" />
                        <ComponentArt:ColorPickerColor Hex="#cccc00" />
                        <ComponentArt:ColorPickerColor Hex="#cccc33" />
                        <ComponentArt:ColorPickerColor Hex="#cccc66" />
                        <ComponentArt:ColorPickerColor Hex="#cccc99" />
                        <ComponentArt:ColorPickerColor Hex="#cccccc" />
                        <ComponentArt:ColorPickerColor Hex="#ccccff" />
                        <ComponentArt:ColorPickerColor Hex="#ccff00" />
                        <ComponentArt:ColorPickerColor Hex="#ccff33" />
                        <ComponentArt:ColorPickerColor Hex="#ccff66" />
                        <ComponentArt:ColorPickerColor Hex="#ccff99" />
                        <ComponentArt:ColorPickerColor Hex="#ccffcc" />
                        <ComponentArt:ColorPickerColor Hex="#ccffff" />
                        <ComponentArt:ColorPickerColor Hex="#ff0000" />
                        <ComponentArt:ColorPickerColor Hex="#ff0033" />
                        <ComponentArt:ColorPickerColor Hex="#ff0066" />
                        <ComponentArt:ColorPickerColor Hex="#ff0099" />
                        <ComponentArt:ColorPickerColor Hex="#ff00cc" />
                        <ComponentArt:ColorPickerColor Hex="#ff00ff" />
                        <ComponentArt:ColorPickerColor Hex="#ff3300" />
                        <ComponentArt:ColorPickerColor Hex="#ff3333" />
                        <ComponentArt:ColorPickerColor Hex="#ff3366" />
                        <ComponentArt:ColorPickerColor Hex="#ff3399" />
                        <ComponentArt:ColorPickerColor Hex="#ff33cc" />
                        <ComponentArt:ColorPickerColor Hex="#ff33ff" />
                        <ComponentArt:ColorPickerColor Hex="#ff6600" />
                        <ComponentArt:ColorPickerColor Hex="#ff6633" />
                        <ComponentArt:ColorPickerColor Hex="#ff6666" />
                        <ComponentArt:ColorPickerColor Hex="#ff6699" />
                        <ComponentArt:ColorPickerColor Hex="#ff66cc" />
                        <ComponentArt:ColorPickerColor Hex="#ff66ff" />
                        <ComponentArt:ColorPickerColor Hex="#ff9900" />
                        <ComponentArt:ColorPickerColor Hex="#ff9933" />
                        <ComponentArt:ColorPickerColor Hex="#ff9966" />
                        <ComponentArt:ColorPickerColor Hex="#ff9999" />
                        <ComponentArt:ColorPickerColor Hex="#ff99cc" />
                        <ComponentArt:ColorPickerColor Hex="#ff99ff" />
                        <ComponentArt:ColorPickerColor Hex="#ffcc00" />
                        <ComponentArt:ColorPickerColor Hex="#ffcc33" />
                        <ComponentArt:ColorPickerColor Hex="#ffcc66" />
                        <ComponentArt:ColorPickerColor Hex="#ffcc99" />
                        <ComponentArt:ColorPickerColor Hex="#ffcccc" />
                        <ComponentArt:ColorPickerColor Hex="#ffccff" />
                        <ComponentArt:ColorPickerColor Hex="#ffff00" />
                        <ComponentArt:ColorPickerColor Hex="#ffff33" />
                        <ComponentArt:ColorPickerColor Hex="#ffff66" />
                        <ComponentArt:ColorPickerColor Hex="#ffff99" />
                        <ComponentArt:ColorPickerColor Hex="#ffffcc" />
                        <ComponentArt:ColorPickerColor Hex="#ffffff" />
                    </Colors>

                </ComponentArt:ColorPicker>
            </div>

            
        </div>                        
                        
                        
                        
                        </td>
                    </tr>
                </table>
                <asp:Label ID="_lblInvalidStatus" runat="server" CssClass="Normal" ForeColor="Red" Visible="false" />
                <table>
                    <tr>
                        <td><asp:LinkButton ID="_btnCancel" runat="server" CssClass="CommandButton" /></td>
                        <td><asp:LinkButton ID="_btnSave" runat="server" CssClass="CommandButton" /></td>
                    </tr>
                </table>
                
                
            </asp:Panel>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="_grdList" runat="server" AutoGenerateColumns="false" DataKeyNames="StatusId" CssClass="Qnn_Grid"
                HeaderStyle-CssClass="Qnn_GridHeader" Width="550px" PageSize="40" AllowPaging="true">
                <Columns>
                    <asp:BoundField DataField="StatusId" HeaderText="Number" Visible="false" />
                    <asp:BoundField DataField="StatusName" HeaderText="Status Name" />
                    <asp:BoundField DataField="Sequence" HeaderText="Sequence" />
                    <asp:TemplateField HeaderText="Action">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEdit" runat="server" CommandName="EditStatus" Text="Edit"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"StatusId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                            <asp:LinkButton ID="lnkDelete" runat="server" CommandName="DeleteStatus" Text="Delete"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"StatusId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
</table>

