<%@ Control Language="c#" Codebehind="ShippingMethodsView.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreSettingsControls.ShippingMethodsView" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table align="center" style="width:600px">
    <tr>
        <td>
            <asp:LinkButton ID="_btnCreateShippingMethod" runat="server" CssClass="CommandButton" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="_pnlCreateEditShippingMethod" runat="server" Visible="false">
                <dnn:label id="lblCreateEditShippingMethod" suffix="" runat="server" CssClass="Normal" resource="lblCreateEditShippingMethod" />            
                <table width="550px">
                    <tr>
                        <td class="Normal"><dnn:label id="lblShippingMethodName" suffix="" runat="server" CssClass="Normal" resource="lblShippingMethodName" /></td>
                        <td nowrap><asp:TextBox ID="_txtShippingMethodName" runat="server" CssClass="Normal" Width="250px" MaxLength="30" ></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="Normal"><dnn:label id="lblShippingMethodDescription" suffix="" runat="server" CssClass="Normal" resource="lblShippingMethodDescription" /></td>
                        <td nowrap><asp:TextBox ID="_txtShippingMethodDescription" runat="server" CssClass="Normal" Width="250px" MaxLength="100" ></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="Normal"><dnn:label id="lblShippingMethodPrice" suffix="" runat="server" CssClass="Normal" resource="lblShippingMethodPrice" /></td>
                        <td nowrap><asp:TextBox ID="_txtShippingMethodPrice" runat="server" CssClass="Normal" Width="50px" MaxLength="7" ></asp:TextBox></td>
                    </tr>
                </table>
                <asp:Label ID="_lblInvalidShippingMethod" runat="server" CssClass="Normal" ForeColor="Red" Visible="false" />
                <table>
                    <tr>
                        <td><asp:LinkButton ID="_btnCancel" runat="server" CssClass="CommandButton" /></td>
                        <td><asp:LinkButton ID="_btnSave" runat="server" CssClass="CommandButton" /></td>
                    </tr>
                </table>
                
                
            </asp:Panel>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="_grdList" runat="server" AutoGenerateColumns="false" DataKeyNames="ShippingMethodId" CssClass="Qnn_Grid"
                HeaderStyle-CssClass="Qnn_GridHeader" Width="550px" PageSize="40" AllowPaging="true">
                <Columns>
                    <asp:BoundField DataField="ShippingMethodId" HeaderText="Number" Visible="false" />
                    <asp:BoundField DataField="ShippingMethodName" HeaderText="Shipping Method Name" />
                    
                    <asp:TemplateField HeaderText="Action">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEdit" runat="server" CommandName="EditShippingMethod" Text="Edit"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ShippingMethodId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                            <asp:LinkButton ID="lnkDelete" runat="server" CommandName="DeleteShippingMethod" Text="Delete"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ShippingMethodId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
</table>

