<%@ Control Language="C#" AutoEventWireup="true" Inherits="DNNMasters.CB.Store.UI.UserControls.AddressEdit" Codebehind="AddressEdit.ascx.cs" %>
<%@ Register TagPrefix="uc1" TagName="SimpleTextBox" Src="SimpleTextBox.ascx" %>
<%@ Register TagPrefix="uc1" TagName="EmailTextBox" Src="EmailTextBox.ascx" %>
<table>
    <tr>
        <td>
            FirstName:
        </td>
        <td>
            <uc1:SimpleTextBox runat="server" ID="_txtFirstName" ErrorMessage="First name is required">
            </uc1:SimpleTextBox>
            <asp:Label ID="_lblShippingAddressID" runat="server" Visible="false"></asp:Label>
        </td>
    </tr>
    <tr>
        <td>
            LastName:
        </td>
        <td>
            <uc1:SimpleTextBox runat="server" ID="_txtLastName" ErrorMessage="Last name is required">
            </uc1:SimpleTextBox>
        </td>
    </tr>
    <tr>
        <td>
            PhoneNumber:
        </td>
        <td>
            <uc1:SimpleTextBox runat="server" ID="_txtPhoneNumber" ErrorMessage="Phone number is required">
            </uc1:SimpleTextBox>
        </td>
    </tr>
    <tr>
        <td>
            Email:
        </td>
        <td>
            <uc1:EmailTextBox runat="server" ID="_txtEmail"></uc1:EmailTextBox>
        </td>
    </tr>
    <tr>
        <td>
            FaxNumber:
        </td>
        <td>
            <asp:TextBox ID="_txtFaxNumber" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            Company:
        </td>
        <td>
            <asp:TextBox ID="_txtCompany" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            Address1:
        </td>
        <td>
            <uc1:SimpleTextBox runat="server" ID="_txtAddress1" ErrorMessage="Address is required">
            </uc1:SimpleTextBox>
        </td>
    </tr>
    <tr>
        <td>
            Address2:
        </td>
        <td>
            <asp:TextBox ID="_txtAddress2" runat="server"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td>
            City:
        </td>
        <td>
            <uc1:SimpleTextBox runat="server" ID="_txtCity" ErrorMessage="City is required">
            </uc1:SimpleTextBox>
        </td>
    </tr>
    <tr>
        <td>
            Country:
        </td>
        <td>
            <asp:DropDownList ID="_ddlCountry" AutoPostBack="True" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged"
                Width="137px">
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>
            StateProvince:
        </td>
        <td>
            <asp:DropDownList ID="_ddlStateProvince" AutoPostBack="False" runat="server" Width="137px">
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>
            ZipPostalCode:
        </td>
        <td>
            <uc1:SimpleTextBox runat="server" ID="_txtZipPostalCode" ErrorMessage="Zip / Postal code is required">
            </uc1:SimpleTextBox>
        </td>
    </tr>
</table>
