<%@ Control Language="c#" CodeBehind="CB_ArticleProductDiscountEdit.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.CB_ArticleProductDiscountEdit"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table width="550px">
    <tr>
        <td class="Normal">
            <dnn:label id="lblDiscountName" suffix=":" runat="server" CssClass="Normal" resource="lblDiscountName" />
        </td>
        <td nowrap>
            <asp:TextBox ID="_txtDiscountName" runat="server" CssClass="Normal" Width="250px" MaxLength="50"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Required!"
                ControlToValidate="_txtDiscountName" ValidationGroup="grpPrice" Display="Dynamic" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblDiscountCode" suffix=":" runat="server" CssClass="Normal" resource="lblDiscountCode" />
        </td>
        <td nowrap>
            <asp:TextBox ID="_txtDiscountCode" runat="server" CssClass="Normal" Width="150px" MaxLength="20"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Required!"
                ControlToValidate="_txtDiscountCode" ValidationGroup="grpPrice" Display="Dynamic" />
        </td>
    </tr>    <tr>
        <td class="Normal">
            <dnn:label id="lblPrice" suffix=":" runat="server" CssClass="Normal" resource="lblPrice" />
        </td>
        <td>
            <asp:TextBox ID="_txbPrice" runat="server" CssClass="NormalTextBox" Width="70" />
            <asp:RequiredFieldValidator ID="valCreditCost2" runat="server" ErrorMessage="Required!"
                ControlToValidate="_txbPrice" ValidationGroup="grpPrice" Display="Dynamic" />
            <asp:RegularExpressionValidator ID="valCreditCost" runat="server" ErrorMessage="Invalid Value!"
                ControlToValidate="_txbPrice" ValidationGroup="grpPrice" CssClass="Normal" Display="Dynamic"
                ValidationExpression="^\$?([1-9]{1}[0-9]{0,2}(\,[0-9]{3})*(\.[0-9]{0,2})?|[1-9]{1}[0-9]{0,}(\.[0-9]{0,2})?|0(\.[0-9]{0,2})?|(\.[0-9]{1,2})?)$" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblType" suffix=":" runat="server" CssClass="Normal" resource="lblType" />
        </td>
        <td>
            <asp:RadioButtonList ID="_rblType" runat="server" RepeatColumns="1" CellPadding="10" CellSpacing="5" >
                <asp:ListItem Value="$" Text=" $ " Selected="True"></asp:ListItem>
                <asp:ListItem Value="%" Text=" % "></asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblAppliedToUser" suffix=":" runat="server" CssClass="Normal" resource="lblAppliedToUser" />
        </td>
        <td>
            <asp:RadioButton ID="_rbAppliedToUser" runat="server" GroupName="grpApplied" /> 
            <asp:DropDownList ID="_ddlUsers" runat="server" CssClass="Normal">
            </asp:DropDownList>
            
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblAppliedToRole" suffix=":" runat="server" CssClass="Normal" resource="lblAppliedToRole" />
        </td>
        <td>
            <asp:RadioButton ID="_rbAppliedToRole" runat="server" GroupName="grpApplied" />
            
            <asp:DropDownList ID="_ddlRoles" runat="server" CssClass="Normal">
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td class="Normal" valign="top">
            <dnn:label id="lblGlobal" suffix=":" runat="server" CssClass="Normal" resource="lblGlobal" />
        </td>
        <td>
            <asp:RadioButton ID="_rbGlobalAll" runat="server" GroupName="grpGlobal" Text="Global" />
            <table>
                <tr>
                    <td>
                        <asp:RadioButton ID="_rbGlobalSelectedOption" runat="server" GroupName="grpGlobal" Text="Specific Product Option" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:DropDownList ID="_ddlProductOptions" runat="server" CssClass="Normal">
                        </asp:DropDownList>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblStart" suffix=":" runat="server" CssClass="Normal" resource="lblStart" />
        </td>
        <td>
            <asp:TextBox ID="_txtStart" CssClass="NormalTextBox" runat="server" MaxLength="11"
                    Width="120" Columns="30"></asp:TextBox>&nbsp;
                <asp:HyperLink ID="cmdStart" CssClass="CommandButton" runat="server" resourcekey="Calendar">Calendar</asp:HyperLink>
                <asp:CompareValidator ID="valStartPublishing" resourcekey="valStartPublishing.ErrorMessage"
                    Operator="DataTypeCheck" Type="Date" ErrorMessage="<br>Invalid Date" runat="server"
                    Display="Dynamic" ControlToValidate="_txtStart"></asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblStop" suffix=":" runat="server" CssClass="Normal" resource="lblStop" />
        </td>
        <td>
            <asp:TextBox ID="_txtStop" CssClass="NormalTextBox" runat="server" MaxLength="11"
                    Width="120" Columns="30"></asp:TextBox>&nbsp;
                <asp:HyperLink ID="cmdStop" CssClass="CommandButton" runat="server" resourcekey="Calendar">Calendar</asp:HyperLink>
                <asp:CompareValidator ID="CompareValidator1" resourcekey="valStartPublishing.ErrorMessage"
                    Operator="DataTypeCheck" Type="Date" ErrorMessage="<br>Invalid Date" runat="server"
                    Display="Dynamic" ControlToValidate="_txtStop"></asp:CompareValidator>
        </td>
    </tr>
    
</table>
<asp:Label ID="_lblInvalidDiscount" runat="server" CssClass="Normal" ForeColor="Red"
    Visible="false" />
<table>
    <tr>
        <td>
            <asp:LinkButton ID="_btnCancel" runat="server" CssClass="CommandButton" />&nbsp;
        </td>
        <td>
            <asp:LinkButton ID="_btnSave" runat="server" CssClass="CommandButton" ValidationGroup="grpPrice" />
        </td>
    </tr>
</table>
