<%@ Control Language="c#" Codebehind="CB_ArticleProductDiscounts.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.CB_ArticleProductDiscounts" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table align="center" style="width:600px">
    <tr>
        <td>
            <asp:LinkButton ID="_btnCreateOption" runat="server" CssClass="CommandButton" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="_grdList" runat="server" AutoGenerateColumns="false" DataKeyNames="DiscountId" CssClass="Qnn_Grid"
                HeaderStyle-CssClass="Qnn_GridHeader" Width="550px" PageSize="40" AllowPaging="true">
                <Columns>
                    <asp:BoundField DataField="DiscountId" HeaderText="Number" Visible="false" />
                    <asp:BoundField DataField="DiscountName" HeaderText="Discount Name" />
                    <asp:TemplateField HeaderText="Action">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEdit" runat="server" CommandName="EditDiscount" Text="Edit"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"DiscountId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                            <asp:LinkButton ID="lnkDelete" runat="server" CommandName="DeleteDiscount" Text="Delete"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"DiscountId").ToString() %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
</table>

