<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_ArticleTreeViewEdit.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_ArticleTreeViewEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>

<script type="text/javascript">
    
    function _trenew_onNodeCheckChange(sender, eventArgs)
    {
    
         if (eventArgs.get_node().get_showCheckBox())
            DNNMasters.ContentBuilder.CB_RolesService.SetNodeCheckedUnchecked(eventArgs.get_node().Value);
         pNode = eventArgs.get_node();
         while (pNode.get_parentNode() != null) 
         {
            pNode = pNode.get_parentNode();
            pNode.set_checked(eventArgs.get_node().get_checked());
            if (pNode.get_showCheckBox())
                DNNMasters.ContentBuilder.CB_RolesService.SetNodeCheckedUnchecked(pNode.Value);
         }
    }

    function _treauth_onNodeCheckChange(sender, eventArgs)
    {
         DNNMasters.ContentBuilder.CB_RolesService.SetAuthorNodeCheckedUnchecked(eventArgs.get_node().Value);
    }
    
</script>




<table id="Table5" cellspacing="0" cellpadding="0" border="0">
    <tr>
        <td class="SubHead" style="width: 150px;" valign="top">
            <dnn:label id="pl_Tv" runat="server" text="" suffix="" controlname="">
            </dnn:label>
        </td>
        <td>
            <componentart:TreeView ID="_tvNew" NodeCssClass="TreeNode"  Height="140" Width="250" 
                SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode"
                LineImageWidth="19" LineImageHeight="20" ShowLines="True" EnableViewState="false"
                LineImagesFolderUrl="~/DesktopModules/DNNMasters.CB.ArticleBrowser/Images/treeview/images/lines" runat="server" CssClass="TreeView" 
                MultipleSelectEnabled="true" DragAndDropEnabled="false" NodeEditingEnabled="false" 
                WebService="DNNMasters.ContentBuilder.CB_RolesService"
                WebServiceMethod="BuildCategoriesTree" WebServiceCustomParameter="chkRoles">
                <clientevents>
                    <NodeCheckChange EventHandler="_trenew_onNodeCheckChange" />
                </clientevents>
            </componentart:TreeView>
            <componentart:TreeView ID="_tvAuth" NodeCssClass="TreeNode"  Height="140" Width="250" 
                SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode"
                LineImageWidth="19" LineImageHeight="20" ShowLines="True" EnableViewState="false"
                LineImagesFolderUrl="~/DesktopModules/DNNMasters.CB.ArticleBrowser/Images/treeview/images/lines" runat="server" CssClass="TreeView" 
                MultipleSelectEnabled="true" DragAndDropEnabled="false" NodeEditingEnabled="false" 
                WebService="DNNMasters.ContentBuilder.CB_RolesService"
                WebServiceMethod="BuildAuthorsTree" WebServiceCustomParameter="chkRoles">
                <clientevents>
                    <NodeCheckChange EventHandler="_treauth_onNodeCheckChange" />
                </clientevents>
            </componentart:TreeView>
        </td>
    </tr>
</table>
