<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_AuthorInfoView.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_AuthorInfoView" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="ComponentArt" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<asp:Panel ID="pnlPhoto" runat="server">
    <table border="1">
        <tr>
            <td>
                <asp:Image ID="imPhoto" runat="server" Visible="True"></asp:Image>
            </td>
        </tr>
    </table>
</asp:Panel>
<asp:Panel ID="pnlAuthorsData" runat="server" HorizontalAlign="Left">
    <table id="Table2" cellspacing="1" cellpadding="1" border="0">
        <tr>
            <td style="width: 79px">
                <asp:Label ID="lblAuthor" runat="server" CssClass="NormalBold">Author:</asp:Label>
            </td>
            <td>
                <asp:Label ID="lblAuthorValue" runat="server" CssClass="Normal"></asp:Label>
            </td>
        </tr>
    </table>
    <asp:Panel ID="pnlHomePage" runat="server" HorizontalAlign="Left">
        <table id="Table3" cellspacing="1" cellpadding="1" border="0">
            <tr>
                <td style="width: 79px;">
                    <asp:Label ID="lblHomePage" runat="server" CssClass="NormalBold">HomePage:</asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblHomePageValue" runat="server" CssClass="Normal"></asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:Panel ID="pnlEmail" runat="server" HorizontalAlign="Left">
        <table id="Table4" cellspacing="1" cellpadding="1" border="0">
            <tr>
                <td style="width: 79px">
                    <asp:Label ID="lblEmail" runat="server" CssClass="NormalBold">Email:</asp:Label>
                </td>
                <td>
                    <asp:Label ID="lblEmailValue" runat="server" CssClass="Normal"></asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>
    
    <asp:Literal ID="lblShortBio" runat="server"></asp:Literal>
    <table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tr>
            <td id="LeftColumn" class="Dock" valign="top">
                &nbsp;
            </td>
        </tr>
    </table>
    <ComponentArt:Snap ID="snpDescription" Width="100%" DockingContainers="LeftColumn"
        CurrentDockingContainer="LeftColumn" CurrentDockingIndex="0" ExpandCollapseMode="Animated"
        DraggingStyle="Original" DockingStyle="SolidOutline" MustBeDocked="true" IsCollapsed="true"
        runat="server">
        <Header>
            <table cellspacing="0" cellpadding="0" width="100%" border="0">
                <tr>
                    <td class="SnapHeaderBlack" style="cursor: hand;width: 10px;" align="right">
                        <img onclick="<%=snpDescription.ClientID%>.ToggleExpand();" src="<%= this.TemplateSourceDirectory %>/images/i_open.png"
                            width="22" border="0" alt="" />
                    </td>
                    <td class="SnapHeaderBlack">
                        Click to view this author's full bio
                    </td>
                </tr>
            </table>
        </Header>
        <Content>
            <table class="SnapContent" cellspacing="0" cellpadding="0" width="100%" height="50"
                border="0">
                <tr>
                    <td valign="top">
                        <asp:Literal ID="lblDescriptionValue" runat="server"></asp:Literal>
                    </td>
                </tr>
            </table>
        </Content>
        <Footer>
            <img height="2" src="<%= this.TemplateSourceDirectory %>/images/clear.gif" style="border: none;"/>
        </Footer>
    </ComponentArt:Snap>
</asp:Panel>
