<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_EmailPageLink.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_EmailPageLink" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="ComponentArt" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<script type="text/javascript">

    function SendEmail()
    {
      var txt = document.getElementById('<%=txtEmailAddress.ClientID%>');
      if (txt != null)
      {
        <%=SendEmailCallback.ClientID%>.Callback(txt.value);
      }
    } 
</script>
<table cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td id="LeftColumn" class="Dock" valign="top">
            &nbsp;
        </td>
    </tr>
</table>
<ComponentArt:Snap ID="snpEmailPageLink" Width="100%" DockingContainers="LeftColumn"
    CurrentDockingContainer="LeftColumn" CurrentDockingIndex="0" ExpandCollapseMode="Animated"
    DraggingStyle="Original" DockingStyle="SolidOutline" MustBeDocked="true" IsCollapsed="true"
    runat="server" Visible="True">
    <Header>
        <table cellspacing="0" cellpadding="0" width="100%" border="0">
            <tr>
                <td class="SnapHeaderBlack" style="cursor: hand;width: 10px;" align="right">
                    <img onclick="<%=snpEmailPageLink.ClientID%>.ToggleExpand();" src="<%= this.TemplateSourceDirectory %>/images/i_open.png"
                        width="22" style="border: none;" alt="" />
                </td>
                <td class="SnapHeaderBlack">
                    <asp:Label ID="lblEmailPageLinkHeader" resourcekey="lblEmailPageLinkHeader" runat="server">Click to e-mail this page to a friend</asp:Label>
                </td>
            </tr>
        </table>
    </Header>
    <Content>
        <table class="SnapContent" cellspacing="0" cellpadding="0" width="100%"
            border="0" style="height: 50px;">
            <tr>
                <td valign="top">
                    <asp:Label ID="lblEnterEmailAddress" resourcekey="lblEnterEmailAddress" runat="server">Enter e-mail address of your friend</asp:Label>
                    <asp:TextBox ID="txtEmailAddress" runat="server" Width="200px" CssClass="NormalTextBox" />
                    <asp:Button ID="btnSendEmail" runat="server" resourcekey="btnSendEmail" Text="Send e-mail"
                        OnClick="btnSendEmail_Click" CausesValidation="false" CssClass="NormalTextBox"
                        Visible="false" />
                    <a href="javascript:SendEmail();" class="CommandButton">Send Email</a><br />
                    <ComponentArt:CallBack ID="SendEmailCallback" runat="server">
                        <Content>
                            <asp:PlaceHolder ID="pcSaveMessage" runat="server">
                                <asp:Label ID="lblError" runat="server" CssClass="NormalRed" Visible="false"></asp:Label>
                                <asp:Label ID="lblOK" runat="server" resourcekey="lblOK" CssClass="NormalBold" Visible="false">E-mail sent successfully</asp:Label>
                            </asp:PlaceHolder>
                        </Content>
                    </ComponentArt:CallBack>
                </td>
            </tr>
        </table>
    </Content>
    <Footer>
        <img height="2" src="<%= this.TemplateSourceDirectory %>/images/clear.gif" style="border: none;" alt="">
    </Footer>
</ComponentArt:Snap>
