<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CommentTemplateEdit.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CommentTemplateEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<table>
    <tr>
        <td class="SubHead">
            <dnn:label id="lblTemplateName" resource="ExcludeRoles" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:TextBox ID="txtTemplateName" runat="server"></asp:TextBox>
        </td>
        <td colspan="2">
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:label id="lblPageSize" resource="lblPageSize" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:TextBox ID="txtPageSize" runat="server" Text="10"></asp:TextBox>
            <asp:CompareValidator ID="val1" runat="server" ErrorMessage="Invalid value!" SetFocusOnError="True" Type="Integer" ControlToValidate="txtPageSize" Display="Dynamic" Operator="DataTypeCheck"></asp:CompareValidator>
        </td>
        
        <td colspan="2">
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:label id="lblPagingEnabled" resource="lblPagingEnabled" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:CheckBox ID="chkPagingEnabled" runat="server" Checked="true"/>
        </td>
        <td colspan="2">
        </td>
    </tr>
    <tr>
        <td colspan="4" class="SubHead">
            <dnn:label id="lblMainTemplate" resource="ExcludeRoles" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="pnlDataFields" runat="server">
            </asp:Panel>
        </td>
        <td colspan="3">
            <dnn:TextEditor ID="txtMainTemplate" controlname="txtMainTemplate" suffix=":" runat="server"
                Width="432px" Height="400">
            </dnn:TextEditor>
        </td>
    </tr>
    <tr>
        <td colspan="4" class="SubHead">
            <dnn:label id="lblArticleTemplate" resource="ExcludeRoles" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="pnlFields" runat="server">
            </asp:Panel>
        </td>
        <td colspan="3">
            <dnn:TextEditor ID="txtTemplate" controlname="txtTemplate" suffix=":" runat="server"
                Width="432px" Height="400">
            </dnn:TextEditor>
        </td>
    </tr>
    <tr>
        <td class="SubHead" colspan="5" align="center">
            <br />
            <asp:LinkButton ID="lnkSaveTemplate" runat="server" resourcekey="lnkSaveTemplate"
                CssClass="commandbutton" Visible="false">_save</asp:LinkButton>&nbsp;
            <asp:LinkButton ID="lnkUpdate" runat="server" CssClass="CommandButton">Update</asp:LinkButton>&nbsp;
            <asp:LinkButton ID="lnkCancel" runat="server" CssClass="CommandButton">Cancel</asp:LinkButton>
        </td>
    </tr>
</table>
