<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="GSArticleSettings.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.GSArticleSettings" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<table style="width: 500px">
    <tr>
        <td>
            <dnn:sectionhead id="_dshImageSettins" runat="server" resourcekey="_dshImageSettins"
                cssclass="NormalBold" section="tblImageSettins" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
            <table border="0" id="tblImageSettins" runat="server">
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblImageMaxWidth" resource="lblImageMaxWidth" controlname="" suffix=""
                            runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtImageMaxWidth" runat="server" CssClass="normalTextBox" MaxLength="4"
                            Width="25px"></asp:TextBox><asp:RequiredFieldValidator ID="req1" runat="server" ErrorMessage="Required!"
                                ControlToValidate="txtImageMaxWidth" Display="Dynamic"></asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="cmpval1" runat="server" ErrorMessage="Invalid value!" Type="Integer"
                            Operator="DataTypeCheck" ControlToValidate="txtImageMaxWidth" Display="Dynamic"></asp:CompareValidator>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblImageMaxHeight" resource="lblImageMaxHeight" controlname="" suffix=""
                            runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtImageMaxHeight" runat="server" CssClass="normalTextBox" MaxLength="4"
                            Width="25px"></asp:TextBox><asp:RequiredFieldValidator ID="req2" runat="server" ErrorMessage="Required!"
                                ControlToValidate="txtImageMaxHeight" Display="Dynamic"></asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="cmpval2" runat="server" ErrorMessage="Invalid value!" Type="Integer"
                            Operator="DataTypeCheck" ControlToValidate="txtImageMaxHeight" Display="Dynamic"></asp:CompareValidator>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshVersionsSettins" runat="server" resourcekey="_dshVersionsSettins"
                cssclass="NormalBold" section="tblVersionsSettins" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
            <table border="0" id="tblVersionsSettins" runat="server">
                <tr>
                    <td colspan="2">
                        <div class="dnnFormMessage dnnFormInfo">
                            <asp:Label id="lblVersioningInfo" runat="server" resourcekey="lblVersioningInfo" />
                        </div>
                    </td>
                </tr>

                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblVersionsEnabled" resource="lblVersionsEnabled" controlname="" suffix=""
                            runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkVersionsEnabled" runat="server" />    
                    </td>
                    
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <dnn:sectionhead id="_dshMutlilanguageSettins" runat="server" resourcekey="_dshMutlilanguageSettins"
                cssclass="NormalBold" section="tblMutlilanguageSettins" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
        </td>
    </tr>
    <tr>
        <td>
            <table border="0" id="tblMutlilanguageSettins" runat="server">
                <tr>
                    <td colspan="2">
                        <div class="dnnFormMessage dnnFormInfo">
                            <asp:Label id="_lblMutlilanguageInfo" runat="server" resourcekey="_lblMutlilanguageInfo" />
                        </div>
                    </td>
                </tr>

                <tr>
                    <td class="SubHead">
                        <dnn:label id="lblMutlilanguageEnabled" resource="lblMutlilanguageEnabled" controlname="" suffix=""
                            runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:CheckBox ID="_chkMutlilanguageEnabled" runat="server" />    
                    </td>
                    
                </tr>
            </table>
        </td>
    </tr>
</table>
<dnn:sectionhead id="dshVideoOptions" includerule="True" resourcekey="dshVideoOptions"
    section="_tblVideoOptions" IsExpanded="true" cssclass="SubHead" runat="server" />
<table id="_tblVideoOptions" runat="server">
    <tr>
        <td valign="top">
            <dnn:Label ID="lblDisableEnableFileUploadHandler" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:Button ID="_btnDisableEnable" runat="server" Text="Button" OnClick="_btnDisableEnable_Click" />
        </td>
    </tr>
    <tr>
        <td valign="top">
            <dnn:Label ID="lblVideoQuality" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:DropDownList ID="_ddlVideoQuality" runat="server" CssClass="NormalTextBox">
            </asp:DropDownList>
            
        </td>
    </tr>
    <tr>
        <td valign="top">
            <dnn:Label ID="lblVideoWidth" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:TextBox ID="_txtVideoWidth" runat="server" CssClass="NormalTextBox" MaxLength="10" Width="60px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="reqVideoWidth" runat="server" ErrorMessage="Required!" ControlToValidate="_txtVideoWidth"  ValidationGroup="vgGlobalOptions"></asp:RequiredFieldValidator>
            <asp:CompareValidator ID="cmpVideoWidth" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtVideoWidth" Operator="DataTypeCheck" Type="Integer"  ValidationGroup="vgGlobalOptions"></asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <dnn:Label ID="lblVideoHeight" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:TextBox ID="_txtVideoHeight" runat="server" CssClass="NormalTextBox" MaxLength="10" Width="60px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="reqVideoHeight" runat="server" ErrorMessage="Required!" ControlToValidate="_txtVideoHeight"  ValidationGroup="vgGlobalOptions"></asp:RequiredFieldValidator>
            <asp:CompareValidator ID="cmpVideoHeight" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtVideoHeight" Operator="DataTypeCheck" Type="Integer"  ValidationGroup="vgGlobalOptions"></asp:CompareValidator>
        </td>
    </tr>
</table>
<dnn:sectionhead id="dshImageGalleryOptions" includerule="True" resourcekey="dshImageGalleryOptions"
    section="_tblImageGalleryOptions" IsExpanded="true" cssclass="SubHead" runat="server" />
<table id="_tblImageGalleryOptions" runat="server">
    <tr>
        <td valign="top">
            <dnn:Label ID="lblDisableEnableImageGalleryFileUploadHandler" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:Button ID="_btnImageGalleryFileUploadDisableEnable" runat="server" Text="Button"  />
        </td>
    </tr>
    <tr>
        <td valign="top">
            <dnn:Label ID="lblThumbImageGalleryMaxWidth" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:TextBox ID="_txtThumbImageGalleryMaxWidth" runat="server" CssClass="NormalTextBox" MaxLength="10" Width="60px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Required!" ControlToValidate="_txtThumbImageGalleryMaxWidth"  ValidationGroup="vgGlobalOptions"></asp:RequiredFieldValidator>
            <asp:CompareValidator ID="CompareValidator3" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtThumbImageGalleryMaxWidth" Operator="DataTypeCheck" Type="Integer"  ValidationGroup="vgGlobalOptions"></asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <dnn:Label ID="lblThumbImageGalleryMaxHeight" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:TextBox ID="_txtThumbImageGalleryMaxHeight" runat="server" CssClass="NormalTextBox" MaxLength="10" Width="60px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="Required!" ControlToValidate="_txtThumbImageGalleryMaxHeight"  ValidationGroup="vgGlobalOptions"></asp:RequiredFieldValidator>
            <asp:CompareValidator ID="CompareValidator4" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtThumbImageGalleryMaxHeight" Operator="DataTypeCheck" Type="Integer"  ValidationGroup="vgGlobalOptions"></asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <dnn:Label ID="lblImageGalleryMaxWidth" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:TextBox ID="_txtImageGalleryMaxWidth" runat="server" CssClass="NormalTextBox" MaxLength="10" Width="60px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Required!" ControlToValidate="_txtImageGalleryMaxWidth"  ValidationGroup="vgGlobalOptions"></asp:RequiredFieldValidator>
            <asp:CompareValidator ID="CompareValidator1" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtImageGalleryMaxWidth" Operator="DataTypeCheck" Type="Integer"  ValidationGroup="vgGlobalOptions"></asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <dnn:Label ID="lblImageGalleryMaxHeight" ControlName="" Suffix=":" runat="server" CssClass="SubHead" />
        </td>
        <td>
            <asp:TextBox ID="_txtImageGalleryMaxHeight" runat="server" CssClass="NormalTextBox" MaxLength="10" Width="60px"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Required!" ControlToValidate="_txtImageGalleryMaxHeight"  ValidationGroup="vgGlobalOptions"></asp:RequiredFieldValidator>
            <asp:CompareValidator ID="CompareValidator2" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtImageGalleryMaxHeight" Operator="DataTypeCheck" Type="Integer"  ValidationGroup="vgGlobalOptions"></asp:CompareValidator>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:label id="lblEnableAddingGalleryToarticles" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:CheckBox ID="_chkEnableAddingGalleryToArticles" runat="server" />    
        </td>
                    
    </tr>
</table>
<asp:LinkButton ID="cmdUpdate" resourcekey="cmdUpdate" runat="server" CssClass="CommandButton"
    OnClick="cmdUpdate_Click"></asp:LinkButton>
