<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_CategoriesEdit.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_CategoriesEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>

<script type="text/javascript">
    // Handles the TreeView node select event 
    function TreeViewNodeSelect(node)
    { 
      //alert(node.Value);
      <%=TreViewCategoriesCallback.ClientID%>.Callback("NODE_SELECT"+node.Value);
    }
    
    function TreeViewAddRoot()
    { 
      var root_name = "";
      var element = document.getElementById('<%=txtNewNode.ClientID%>');
      if (element != null)
      {
        root_name = element.value;
        //alert(element);
        if (root_name != "")
          <%=TreViewCategoriesCallback.ClientID%>.Callback("ADD_ROOT"+root_name);
        element.value = "";
      }
    }
    
    function TreeViewAddToSelected()
    { 
      var root_name = "";
      var element = document.getElementById('<%=txtNewNode.ClientID%>');
      if (element != null)
      {
        root_name = element.value;
        //alert(element);
        if (root_name != "")
          <%=TreViewCategoriesCallback.ClientID%>.Callback("ADD_TO_SELECTED"+root_name);
        element.value = "";
      }
    }
    
    function TreeViewDeleteSelected()
    { 
       <%=TreViewCategoriesCallback.ClientID%>.Callback("DELETE_SELECTED");
    }    
</script>

<div>
    <strong>Categories</strong>
</div>
<div>
    <asp:Panel ID="pnlEditTree" runat="server">
        <asp:TextBox ID="txtNewNode" Width="180" CssClass="NormalTextBox" runat="server"></asp:TextBox><br />
        <a href="javascript:TreeViewAddRoot()" class="CommandButton">Add as root</a>&nbsp;&nbsp;&nbsp;
        <a href="javascript:TreeViewAddToSelected()" class="CommandButton">Add to selected</a><br />
        <a href="javascript:TreeViewDeleteSelected()" class="CommandButton">Delete selected</a>
        <asp:LinkButton ID="btnAddRoot" CssClass="CommandButton" runat="server" Visible="false">Add as root</asp:LinkButton>&nbsp;&nbsp;&nbsp;
        <asp:LinkButton ID="btnAddSelected" CssClass="CommandButton" runat="server" Visible="false">Add to selected</asp:LinkButton><br />
        <asp:LinkButton ID="btnDelete" CssClass="CommandButton" runat="server" CommandName="Delete"
            Visible="false">Delete selected</asp:LinkButton>
    </asp:Panel>
    <asp:Label ID="lblError" runat="server" CssClass="NormalRed"></asp:Label>
</div>
<div>
    <componentart:CallBack ID="TreViewCategoriesCallback" runat="server">
                            <Content>
                                <asp:PlaceHolder runat="server" ID="PlaceHolder1">
                                    <componentart:TreeView ID="tvCategories" runat="server" CssClass="TreeView" NodeCssClass="TreeNode"
                                        SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode" LineImageWidth="19"
                                        LineImageHeight="20" ShowLines="True" EnableViewState="false" Height="220px"
                                        LineImagesFolderUrl="Images/treeview/images/lines" ClientSideOnNodeSelect="TreeViewNodeSelect">
                                    </componentart:TreeView>
                                </asp:PlaceHolder>
                            </Content>
                        </componentart:CallBack>
                        <br />
                        Tree size:
                        <asp:Button ID="btnBigger" runat="server" Text="Bigger"></asp:Button>
                        <asp:Button ID="btnSmaller" runat="server" Text="Smaller"></asp:Button>
</div>

