<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_FiltersConfiguration.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_FiltersConfiguration" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="uc1" TagName="CB_CategoriesTree" Src="CB_CategoriesTree.ascx" %>
<table cellspacing="10" cellpadding="0" width="100%" border="0">
    <tr>
        <td>
            <label class="SubHead">
                User categories</label>
        </td>
        <td>
            <label class="SubHead">
                Pre-configured categories</label>
        </td>
    </tr>
    <tr>
        <td valign="top" width="140">
            <p align="right">
                <asp:ListBox ID="lstUserCategories" runat="server" Width="140px" CssClass="NormalTextBox">
                </asp:ListBox>
                <br/>
                <asp:LinkButton ID="btnPreConfigure" runat="server" CssClass="CommandButton">Pre-configure &raquo;</asp:LinkButton></p>
        </td>
        <td valign="top">
            <asp:Repeater ID="rptPreConf" runat="server">
                <ItemTemplate>
                    <div style="width: 170px; height: 200px; overflow-x: auto; overflow-y: auto; float: left;
                        margin-right: 15px; margin-top: 15px; border: solid 1px black; padding: 4px;">
                        <uc1:CB_CategoriesTree ID="catTree" runat="server" ArticleId="-1" RootId='<%# DataBinder.Eval(Container.DataItem, "ClassificationID") %>'
                            PropagateSelection="false" ShowEditor="false" Title='<%# DataBinder.Eval(Container.DataItem, "Name") %>'
                            CategoriesString='<%# GetPreconfiguredCategories((int)DataBinder.Eval(Container.DataItem, "ClassificationID")) %>'
                            ShowCommandButton="true" CommandLabel="[ Remove ]" Height="200" ShowDetails="false">
                        </uc1:CB_CategoriesTree>
                    </div>
                </ItemTemplate>
            </asp:Repeater>
        </td>
    </tr>
</table>
