<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
  Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="CB_TickerView.ascx.cs"
  Inherits="DNNMasters.ContentBuilder.CB_TickerView" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>

<!-- simple rotator start -->
<componentart:Rotator id="rtrSimpleRotator" runat="server" 
          CssClass="Rotator" Width="100%" Height="65" 
          RotationType="SmoothScroll" 
          ScrollInterval="10"
          SlidePause="3000"
          PauseOnMouseOver="true"
          EnableViewState="false" >
  <slidetemplate>
      <table width="100%" style="height:80px;" cellpadding="0" cellspacing="2" border="0">
        <tr>
          <td class="NewsText">
            <img src='<%# ReturnUrlLink("images/arrow.gif") %>' alt="" width="11" height="8" style="border:none;" />
            <span class="NewsTitle">
              <a href='<%# ArticlesLink(DataBinder.Eval(Container.DataItem, "ArticleID").ToString()) %>' >
                <asp:Label ID="Label1" Text='<%# DataBinder.Eval(Container.DataItem, "Title") %>' runat="server"></asp:Label>
              </a>
            </span>
          </td>
          <td class="NewsDate" align="right">
            <asp:Label ID="Label2" Text='<%# ReturnShortCreatedDate(DataBinder.Eval(Container.DataItem, "CreatedDate").ToString())%>' runat="server"></asp:Label>
          </td>
        </tr>
        <tr>
          <td class="NewsText" colspan="2" valign="top">
            <asp:Label ID="Label3" Text='<%# ReturnDescription(DataBinder.Eval(Container.DataItem, "Description").ToString())%>' runat="server"></asp:Label> &nbsp;&nbsp;
          </td>
        </tr>
      </table>
  </slidetemplate>
</componentart:Rotator>

<!--simple rotator end-->


<componentart:Rotator id="rtrWithTickers" runat="server" 
          CssClass="Rotator" Width="100%" Height="65" 
          RotationType="SmoothScroll" 
          ScrollInterval="10"
          SlidePause="3000"
          PauseOnMouseOver="true"
          EnableViewState="false" >
  <slidetemplate>
      <table width="100%" style="height:80px;" cellpadding="0" cellspacing="2" border="0">
        <tr>
          <td class="NewsText" >
            <img src='<%# ReturnUrlLink("images/arrow.gif") %>' alt="" width="11" height="8" style="border:none;" />
            <span class="NewsTitle">
              <a href='<%# ArticlesLink(DataBinder.Eval(Container.DataItem, "ArticleID").ToString()) %>' >
              <ComponentArt:Ticker id="TitleTicker" Text='<%# DataBinder.Eval(Container.DataItem, "Title") %>' CharDelay="20" runat="server" /></a> <br />
            </span>
            <ComponentArt:Ticker id="CategoriesTicker" Text='<%# ReturnDescription(DataBinder.Eval(Container.DataItem, "Description").ToString()) %>' CharDelay="20" runat="server" />                           
          </td>
          <td class="NewsDate" align="right">
              <ComponentArt:Ticker id="DateTicker" Text='<%# ReturnShortCreatedDate(DataBinder.Eval(Container.DataItem, "CreatedDate").ToString()) %>'  CharDelay="20" runat="server" /> 
          </td>
        </tr>
      </table>
  </slidetemplate>
</componentart:Rotator>
<!-- rotator end -->


<!-- horizontal headlines rotator -->
<ComponentArt:Rotator id="rtrHorizontalHeadlinesRotator" runat="server"
      CssClass="Rotator" Width="300" Height="18"
      RotationType="SmoothScroll"
      ScrollInterval="10"
      ScrollDirection="Left"
      SlidePause="3000"
      PauseonMouseOver="true">
    <SlideTemplate>
    <table cellpadding="0" width="300" cellspacing="3" border="0">
    <tr>
      <td class="Time" valign="top"><%# ReturnShortCreatedDate(DataBinder.Eval(Container.DataItem, "CreatedDate").ToString()) %></td>
      <td style="width:30px;" valign="top" align="center">
        <img src='<%# ReturnUrlLink("images/spacer.gif") %>' alt="" width="10" height="2" style="border:none;display:block;vertical-align:middle;" /><img src='<%# ReturnUrlLink("images/arrow.gif") %>' alt="" width="11" height="8" style="border:none;display:block;vertical-align:middle;" />
      </td>
      <td style="width:100%;white-space:nowrap;"><a href='<%# ArticlesLink(DataBinder.Eval(Container.DataItem, "ArticleID").ToString()) %>' class="Headline_hor" style="color:bisque;"><ComponentArt:Ticker id="T1" Text='<%# DataBinder.Eval(Container.DataItem, "Title") %>' CharDelay="20" runat="server" /></a><img src='<%# ReturnUrlLink("images/spacer.gif") %>' alt="" width="10" height="2" style="border:none;display:block;vertical-align:middle;" /></td>
    </tr>
    </table>
    </SlideTemplate>
    </ComponentArt:Rotator>


    <ComponentArt:Rotator id="rtrVerticalHeadlinesRotator" runat="server"
      CssClass="Rotator" Width="350" Height="20"
      RotationType="SmoothScroll"
      ScrollInterval="10"
      SlidePause="3500"
      PauseonMouseOver="true">
    <SlideTemplate>
      <table width="320" cellpadding="0" cellspacing="3" border="0">
      <tr>
        <td style="width:55px;" class="Time" align="center"><%# ReturnShortCreatedDate(DataBinder.Eval(Container.DataItem, "CreatedDate").ToString()) %></td>
        <td style="width:30px;" align="center"><img src='<%# ReturnUrlLink("images/spacer.gif") %>' alt="" width="30" height="1" style="border:none;display:block;" /><img src='<%# ReturnUrlLink("images/arrows.gif") %>' alt="" width="16" height="11" style="border:none;display:block;" /></td>
        <td style="width:100%;"><a href='<%# ArticlesLink(DataBinder.Eval(Container.DataItem, "ArticleID").ToString()) %>' class="Headline"><ComponentArt:Ticker id="HeadlinesTicker" text='<%# DataBinder.Eval(Container.DataItem, "Title") %>' runat="server" /></a><img src='<%# ReturnUrlLink("images/cursor.gif") %>' alt="" width="6" height="7" style="border:none;" /></td>
      </tr>
      </table>
    </SlideTemplate>
    </ComponentArt:Rotator>