<%@ Control Language="c#" Codebehind="MyPurchases.ascx.cs" Inherits="DNNMasters.CB.Store.UI.MyPurchases" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ register tagprefix="componentart" namespace="DNNMasters.CB.ComponentArt.Web.UI"  assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link href="<%= ModulePath %>/module.css" type="text/css"  rel="stylesheet" />

<script type="text/javascript">


function Grid_onLoad(sender, args) 
{ 
    //alert(sender + ' is the object');
    //    <%=_grdPosts.ClientID %>.set_webServiceCustomParameter(""); 
}

	var grid;	
	
		
	function onLoad()
	{
		grid = <%=_grdPosts.ClientID%>;
	}			 	
		
	function StartSearch()
	{
	    
		var ret='';		
        if(document.getElementById('<%=_ddlOrderStatus.ClientID%>') != null)
		{
			ret = document.forms[0].<%=_ddlOrderStatus.ClientID%>.value + ';';
		}
        ret = '[' + '<%=TabId %>' + '|' + '<%=ModuleId %>'+ '|' + '<%=UserId %>' +   ']' + ret;
		//alert(ret);
		_grdPosts.set_webServiceCustomParameter(ret);
		_grdPosts.webServiceSelect();
	}
	
    function _grdPosts_onItemCheckChange(sender, eventArgs)
    {
		return true;
    }
    
    
    
</script>


<table>
    <tr>
        <td>
            <dnn:Label ID="lblOrderStatus" CssClass="Normal" ControlName="" Suffix=":" runat="server" ResourceKey="lblOrderStatus" />
            <asp:DropDownList ID="_ddlOrderStatus" runat="server" CssClass="Normal"  />
        </td>    
    </tr>
</table>
<input type="button" id="_btnSearch" value="Search" class="Normal" onclick="StartSearch();" />
<ComponentArt:Grid id="_grdPosts"
        AllowEditing="false"
        RunningMode="WebService"
        WebServiceCachingEnabled="true"
        WebService="DNNMasters.ContentBuilder.Store_Service"
        WebServiceSelectMethod="GetUserOrders"
        EnableViewState="true"
        CssClass="Grid"
        FooterCssClass="GridFooter"
        PagerStyle="Slider"
      	PagerTextCssClass="GridFooterText"
      	SearchTextCssClass="GridHeaderText"
      	PagerButtonWidth="41"
      	PagerButtonHeight="22"
        SliderHeight="20"
        SliderWidth="150"
        SliderGripWidth="9"
        SliderPopupOffsetX="35"
        PageSize="11"
        ShowHeader="true"
        HeaderCssClass="GridHeader"
        DataAreaCssClass="GridData"
        GroupingNotificationText="Drag a column to this area to group by it."
        GroupingNotificationTextCssClass="GridHeaderText"
        GroupBySortAscendingImageUrl="group_asc.gif"
        GroupBySortDescendingImageUrl="group_desc.gif"
        GroupBySortImageWidth="10"
        GroupBySortImageHeight="10"
        GroupingMode="ConstantRecords"
        PreExpandOnGroup="true"
        GroupByCssClass="GroupByCell"
        GroupByTextCssClass="GroupByText"
        ImagesBaseUrl="~/DesktopModules/DNNMasters.CB.Store/UI/images/grid/"
        PagerImagesFolderUrl="~/DesktopModules/DNNMasters.CB.Store/UI/images/grid/pager/"
        TreeLineImagesFolderUrl="~/DesktopModules/DNNMasters.CB.Store/UI/images/grid/lines/"
        TreeLineImageWidth="22"
        TreeLineImageHeight="19"
        IndentCellWidth="22"
        HeaderHeight="30"
        FooterHeight="40"
        ClientSideOnLoad="Grid_onLoad"

        width="640" height="460" runat="server">
        <Levels>
          <ComponentArt:GridLevel
            RowCssClass="Row"
            AlternatingRowCssClass="AlternatingRow"
            DataCellCssClass="DataCell"
            HeadingRowCssClass="HeadingRow"
            HeadingCellCssClass="HeadingCell"
            HeadingTextCssClass="HeadingCellText"
            ShowSelectorCells="false"
            GroupHeadingCssClass="GroupHeading"
            SortAscendingImageUrl="asc.gif"
            SortDescendingImageUrl="desc.gif"
            SortImageWidth="9"
            SortImageHeight="5">
            <Columns>
              <ComponentArt:GridColumn DataField="OrderID" Visible="true" Width="65" DataCellClientTemplateId="ThreadTemplate" Align="Center" />
              <ComponentArt:GridColumn DataField="OrderDate" Align="Center" />
              <ComponentArt:GridColumn DataField="PaymentDate" Visible="false" />
              <ComponentArt:GridColumn DataField="ShippingMethodPrice"  Visible="false" />
              <ComponentArt:GridColumn DataField="StatusName"  HeadingText="Status" Width="65" Align="Center" />
              <ComponentArt:GridColumn DataField="EditImageUrl" Visible="false" />
              <ComponentArt:GridColumn DataField="EditUrlPost" Visible="false" />
              <ComponentArt:GridColumn DataField="Total" Align="Center" />
            </Columns>
          </ComponentArt:GridLevel>
        </Levels>
        <ClientTemplates>
          <ComponentArt:ClientTemplate Id="ThreadTemplate">
              <table width="100%" cellspacing="0" cellpadding="2" border="0" align="center">
              <tr>
                <td width="100%">
                <table cellspacing="0" cellpadding="1" border="0" width="100%" align="center">
                <tr>
                  <td class="CellText"><nobr><b><a style="color:#595959;" href='## DataItem.getMember("EditUrlPost").Value ##'><img src='## DataItem.getMember("EditImageUrl").Value ##' border="0" /> ## DataItem.GetMember("OrderID").Value ##</a></b></nobr></td>
                </tr>
                </table>
                </td>
              </tr>
              </table>
          </ComponentArt:ClientTemplate>
        </ClientTemplates>
      </ComponentArt:Grid>
