<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="StoreProductEdit.ascx.cs"
    Inherits="DNNMasters.CB.Store.UserControls.StoreProductEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>

<asp:Label ID="_lblWarning" runat="server" Text="" CssClass="NormalRed"></asp:Label> 
<table>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblTitle" resource="ExcludeRoles" ControlName="" Suffix=":" runat="server">
            </dnn:Label>
        </td>
        <td>
            <asp:TextBox ID="_txtTitle" runat="server" Width="450px" MaxLength="100"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblEditorNote" resource="lblEditorNote" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <dnn:texteditor id="_textTeaser" runat="server" height="250px" width="450px">
            </dnn:texteditor>
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblCategory" resource="lblCategory" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:DropDownList ID="_ddlCategory" runat="server" CssClass="Normal">
            </asp:DropDownList>
        </td>
    </tr>    
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblDisplay" resource="lblDisplay" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:CheckBox ID="_chkDisplay" runat="server" />
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblDisplayStartDate" resource="lblDisplayStartDate" controlname=""
                suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:TextBox ID="_txtDisplayStartDate" runat="server" CssClass="Normal"></asp:TextBox>
            <asp:HyperLink ID="_cmdDisplayStartDate" CssClass="CommandButton" runat="server"
                resourcekey="Calendar">Calendar</asp:HyperLink>
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblDisplayEndDate" resource="lblDisplayEndDate" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:TextBox ID="_txtDisplayEndDate" runat="server" CssClass="Normal"></asp:TextBox>
            <asp:HyperLink ID="_cmdDisplayEndDate" CssClass="CommandButton" runat="server" resourcekey="Calendar">Calendar</asp:HyperLink>
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblIsHidden" resource="lblIsHidden" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:CheckBox ID="_chkIsHidden" runat="server" />
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblIsLocked" resource="lblIsLocked" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:CheckBox ID="_chkIsLocked" runat="server" />
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblProductSKU" resource="lblProductSKU" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:TextBox ID="_txtProductSKU" runat="server"></asp:TextBox> 
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblProductPrice" resource="lblProductPrice" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:TextBox ID="_txtProductPrice" runat="server"></asp:TextBox> 
        </td>
    </tr>
    <tr>
        <td class="SubHead" valign="top">
            <dnn:label id="lblProductSalePrice" resource="lblProductSalePrice" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td colspan="3">
            <asp:TextBox ID="_txtProductSalePrice" runat="server"></asp:TextBox> 
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width:90px">
            <dnn:label id="lblAdsImage" resource="lblSurname" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
        <td>
            <input id="_cmdBrowseAdsImage" type="file" size="50" name="_cmdBrowseAdsImage" runat="server" style="width:290px" />                
        </td>
    </tr>
    <tr>
        <td class="SubHead" style="width:90px">
            <dnn:label id="lblCurrentImage" resource="lblCurrentImage" controlname="" suffix=":"
                runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:Image ID="_imgCurrentImage" runat="server" BorderStyle="Solid" BorderColor="Silver" BorderWidth="2" />
        </td>
    </tr>    
</table>
<table>
    <tr>
        <td class="SubHead">
            <dnn:Label ID="lblCommentBody" resource="ExcludeRoles" ControlName="" Suffix=":"
                runat="server"></dnn:Label>
        </td>
    </tr>
    <tr>
        <td >
            <table>
                <tr>
                    <td valign="top">
                        <dnn:TextEditor ID="_txtCommentBody" suffix=":" runat="server" Width="550px" Height="400">
                        </dnn:TextEditor>
                        <table>
                            <tr>
                                <td class="SubHead" colspan="5" align="center">
                                    <br />
                                    <asp:LinkButton ID="_lnkUpdate" runat="server" CssClass="CommandButton">Update</asp:LinkButton>&nbsp;
                                    <asp:LinkButton ID="_lnkCancel" runat="server" CssClass="CommandButton">Cancel</asp:LinkButton><br /><br />
                                    <asp:LinkButton ID="_lnkDelete" runat="server" CssClass="CommandButton" Visible="false">Delete</asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
