﻿<%@ Control Language="c#" CodeBehind="StoreProductList.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreProductList"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ Register Src="UserControls/PagingControl.ascx" TagName="PagingControl" TagPrefix="uc1" %>

<script type="text/javascript" src="<%= ControlPath %>/scripts/prototype.js"></script>
<script type="text/javascript" src="<%= ControlPath %>/scripts/scriptaculous.js?load=effects,builder"></script>
<script type="text/javascript" src="<%= ControlPath %>/scripts/lightbox.js"></script>
<link type="text/css" rel="stylesheet" href="<%= ControlPath %>/css/lightbox.css" />

<table cellpadding="0" cellspacing="0" width="100%" border="0">
                <tr>
                    <td>
                        <asp:Label ID="lblDisplay" runat="server"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <uc1:PagingControl ID="_ctlPaging" OnPaging_Click="Paging_Click" FirstString="<< First" LastString=" Last >>" NextString="Next >" PrevString="< Prev" TotalNumberPaging="5"  runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:DataList ID="_dlstProducts" runat="server" RepeatDirection="Horizontal"
                            RepeatColumns="3" EnableViewState="False">
                            <ItemTemplate>
                                <table class="ItemBorder" cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td align="center" >
                                            <asp:HyperLink ID="HyperLink2" runat="server" NavigateUrl='<%# ReturnViewUrl(DataBinder.Eval(Container.DataItem, "PostId")) %>' ToolTip="View product"><%# DataBinder.Eval(Container.DataItem, "Title")%> <br /></asp:HyperLink>
                                            
                                            <asp:HyperLink ID="HyperLink1" ToolTip="Edit product" NavigateUrl='<%# ReturnEditUrl(DataBinder.Eval(Container.DataItem, "PostId")) %>' runat="server"  EnableViewState="false" Visible='<%# IsEditable %>'><asp:image id="Image1" runat="server" alternatetext="" imageurl="~/images/edit.gif"></asp:image> Edit product</asp:HyperLink>
                                            
                                        </td>
                                    </tr>                                    
                                    <tr>
                                        <td align="center" >
                                            <asp:HyperLink ID="imgProducts" ToolTip='<%# RemoveHTML(DataBinder.Eval(Container.DataItem, "TeaserBody").ToString()) %>'
                                                CssClass="ProductImage" runat="server"  EnableViewState="false"><a href='<%# ReturnViewUrl(DataBinder.Eval(Container.DataItem, "PostId")) %>' title='<%# RemoveHTML(DataBinder.Eval(Container.DataItem, "TeaserBody").ToString()) %>'><img src='<%# ReturnValidImagePath(DataBinder.Eval(Container.DataItem, "IconUrl")) %>'  alt="" border="0" /></a></asp:HyperLink>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center">
                                            <span class="Normal" enableviewstate="false">SKU: <%# DataBinder.Eval(Container.DataItem, "ProductSKU")%></span><br />
                                            <span class="webprice" enableviewstate="false">Sale Price: <%# ReturnCurrency()%><%# DataBinder.Eval(Container.DataItem, "SalePrice")%></span>
                                        </td>
                                    </tr>
                                </table>
                            </ItemTemplate>
                        </asp:DataList>
                    </td>
                </tr>
                <tr>
                    <td>
                    </td>
                </tr>
            </table>

