<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_AdminFullViews.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_AdminFullViews" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<script type="text/javascript">
    function tvCategoriesNodeSelect(node)
    { 
      <%=tvCategoriesCallback.ClientID%>.Callback(node.Value);
    }
    
    function grdArticleListCheckChanged(gridItemChosen, columnIndex, checkboxDOM)
    { 
	    var grdArts = <%=grdArticleList.ClientID%>;
	    var articleId = "";
	    var articleId_sec = "";
        var gridItem;
        var itemIndex = 0;

		  articleId_sec = gridItemChosen.Cells[0].Value;
		  if (checkboxDOM.checked)
			  articleId = gridItemChosen.Cells[0].Value;
  		
		  while(gridItem = grdArts.Table.GetRow(itemIndex))
		  {
			  if( gridItem.ClientId != gridItemChosen.ClientId )
				  gridItem.SetValue(columnIndex, null);
			  itemIndex++;
		  }
		  gridItemChosen.SetValue(columnIndex,  articleId);
          grdArts.Render();
		  return true;
    }

</script>
<asp:Panel ID="pnlOptions" HorizontalAlign="Center" runat="server">
    <componentart:CALLBACK id="tvCategoriesCallback" runat="server">
        <content>
      <asp:PlaceHolder Runat="server" ID="PlaceHolder1">
        <div class="adm-cat">
            <strong>Categories</strong>
        </div>
        <div>
            <div class="adm-tree">
                <ComponentArt:TreeView id="tvCategories" runat="server" AutoScroll="true" BorderWidth="1px" BorderStyle="Solid"
                ClientSideOnNodeSelect="tvCategoriesNodeSelect" NodeCssClass="TreeNode" SelectedNodeCssClass="HoverTreeNode"
                HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20" ShowLines="True" EnableViewState="false"
                LineImagesFolderUrl="Images/treeview/images/lines" CssClass="TreeView" ></ComponentArt:TreeView>
            </div>
            <div class="adm-grid">
                <componentart:grid id="grdArticleList" runat="server" CssClass="Grid" ImagesBaseUrl="~/desktopmodules/DNNMasters.CB.Admin/Images/grid/images"
                PageSize="5" PagerTextCssClass="PagerText" PagerImagesFolderUrl="~/desktopmodules/DNNMasters.CB.Admin/Images/grid/images/pager"
                RunningMode="Server" FooterCssClass="GridFooter" FillContainer="true" AllowPaging="true" AutoPostBackOnSelect="False" ClientSideOnCheckChanged="grdArticleListCheckChanged" >
                <Levels>
                  <componentart:GridLevel SelectorImageUrl="selector.gif" DataKeyField="ModuleID" SelectedRowCssClass="SelectedRow"
                    DataCellCssClass="DataCell" HeadingSelectorCellCssClass="SelectorCell" HeadingTextCssClass="HeadingCellText"
                    ShowSelectorCells="True" SortAscendingImageUrl="asc.gif" HeadingCellCssClass="HeadingCell" SelectorImageHeight="15"
                    SortImageWidth="10" SortDescendingImageUrl="desc.gif" SelectorCellWidth="18" HeadingRowCssClass="HeadingRow"
                    SelectorImageWidth="17" SortImageHeight="10" SelectorCellCssClass="SelectorCell" RowCssClass="Row">
                    <Columns>
                      <componentart:GridColumn Visible="False" DataField="ModuleID"></componentart:GridColumn>
                      <componentart:GridColumn HeadingText="Use" DataType="System.Boolean" ColumnType="CheckBox" DataField="Selector" AllowEditing="True"></componentart:GridColumn>
                      <componentart:GridColumn HeadingText="Module Title" DataField="ModuleTitle"></componentart:GridColumn>
                      <componentart:GridColumn HeadingText="Tab Name" DataField="TabName"></componentart:GridColumn>
                    </Columns>
                  </componentart:GridLevel>
                </Levels>
              </componentart:grid>
            </div>
        </div>
      </asp:PlaceHolder>
    </content>
    </componentart:CALLBACK>
    <componentart:CALLBACK id="grdArticleListCallback" runat="server">
    </componentart:CALLBACK>
</asp:Panel>
