<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_ArticleOptionRolesEdit.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_ArticleOptionRolesEdit"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/LabelControl.ascx" %>
<asp:UpdatePanel ID="upSearch" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional"
    RenderMode="Inline">
    <contenttemplate>
<table id="Table5" cellspacing="0" cellpadding="0" border="0">
  <tr>
    <td class="SubHead" style="width: 150px;" valign="top">
      <dnn:label id="pl_Chbx" runat="server" text="" suffix="" controlname="chlbxArticlesPortals" resource="pl_Chbx">
      </dnn:label>
    </td>
    <td>
      <asp:DropDownList ID="_ddlPortals" runat="server" CssClass="Normal" AutoPostBack="true"></asp:DropDownList>
    </td>
  </tr>
  <tr>
    <td colspan=2>
    
        <table>
                <tr>
                    <td>
                    <asp:Label ID="Label1" runat="server" Text="Select role:" CssClass="NormalBold"></asp:Label>
                        <asp:DropDownList ID="_ddlRoles" runat="server" CssClass="Normal" ></asp:DropDownList>
                        </td>
                 </tr>
                 <tr>
                    <td>
                        <asp:Label ID="Label2" runat="server" Text="Role will expiry in next:" CssClass="NormalBold"></asp:Label>
                        <asp:TextBox ID="_txtSubscriptionTime" runat="server" CssClass="NormalTextBox" Width="70" />
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Requied!"
                            ControlToValidate="_txtSubscriptionTime" ValidationGroup="grpSubscription" Display="Dynamic" />
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ErrorMessage="Invalid Value!"
                            ControlToValidate="_txtSubscriptionTime" ValidationGroup="grpSubscription" CssClass="Normal"
                            Display="Dynamic" ValidationExpression="^\$?([1-9]{1}[0-9]{0,2}(\,[0-9]{3})*(\.[0-9]{0,2})?|[1-9]{1}[0-9]{0,}(\.[0-9]{0,2})?|0(\.[0-9]{0,2})?|(\.[0-9]{1,2})?)$" />
                        <asp:RangeValidator ID="RangeValidator1" runat="server" 
                            ControlToValidate="_txtSubscriptionTime" CssClass="Normal" Display="Dynamic" 
                            ErrorMessage="Value must be greater or equal 0" MaximumValue="1000" 
                            MinimumValue="0" Type="Integer" ValidationGroup="grpSubscription"></asp:RangeValidator>
                        <asp:RadioButtonList ID="_rlbExpiryMonthYear" runat="server" RepeatColumns="2">
                            <asp:ListItem Value="M" Selected="True">Months</asp:ListItem>
                            <asp:ListItem Value="Y">Years</asp:ListItem>
                        </asp:RadioButtonList>
                        <asp:Label ID="Label3" runat="server" Text="Role will added to user from:" CssClass="NormalBold"></asp:Label>
                        <asp:RadioButtonList ID="_rblRoleOption" runat="server" RepeatColumns="1">
                            <asp:ListItem Value="M" Selected="True">Main product only</asp:ListItem>
                            <asp:ListItem Value="O">This option only</asp:ListItem>
                            <asp:ListItem Value="B">Main product + This option</asp:ListItem>
                        </asp:RadioButtonList>
                        <asp:LinkButton ID="_lnkUpdate" resourcekey="_lnkUpdate" CssClass="Normal" runat="server" Text="Add"    
                            ValidationGroup="grpSubscription" OnClick="_lnkUpdate_Click"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <table>
                            <tr>
                                <td>
                                    <asp:ListBox ID="_lbcArtRoles" runat="server" CssClass="NormalTextBox" Width="350"
                                        Height="150" DataTextField="Text" DataValueField="Value" />
                                </td>
                                <td valign="middle">
                                <asp:LinkButton ID="_lnkDelete" resourcekey="_lnkUpdate" CssClass="Normal" runat="server" Text="Delete"    
                                    OnClick="_lnkDelete_Click" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
    
    </td>
  </tr>
</table>

</contenttemplate>
    <triggers>
    <asp:AsyncPostBackTrigger ControlID="_ddlPortals" EventName="SelectedIndexChanged" />
    <asp:AsyncPostBackTrigger ControlID="_lnkUpdate" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_lnkDelete" EventName="Click" />
</triggers>
</asp:UpdatePanel>

<asp:LinkButton ID="_lnkBack" runat="server">Back</asp:LinkButton>
