<%@ Control Language="c#" CodeBehind="CB_ArticleProductOptionEdit.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.CB_ArticleProductOptionEdit"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table width="550px">
    <tr>
        <td class="Normal">
            <dnn:label id="lblOptionName" suffix=":" runat="server" CssClass="Normal" resource="lblOptionName" />
        </td>
        <td nowrap>
            <asp:TextBox ID="_txtOptionName" runat="server" CssClass="Normal" Width="250px" MaxLength="255"></asp:TextBox>
            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Required!"
                ControlToValidate="_txtOptionName" ValidationGroup="grpPrice" Display="Dynamic" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblPrice" suffix=":" runat="server" CssClass="Normal" resource="lblPrice" />
        </td>
        <td>
            <asp:TextBox ID="_txbPrice" runat="server" CssClass="NormalTextBox" Width="70" />
            <asp:RequiredFieldValidator ID="valCreditCost2" runat="server" ErrorMessage="Required!"
                ControlToValidate="_txbPrice" ValidationGroup="grpPrice" Display="Dynamic" />
            <asp:RegularExpressionValidator ID="valCreditCost" runat="server" ErrorMessage="Invalid Value!"
                ControlToValidate="_txbPrice" ValidationGroup="grpPrice" CssClass="Normal" Display="Dynamic"
                ValidationExpression="^\$?([1-9]{1}[0-9]{0,2}(\,[0-9]{3})*(\.[0-9]{0,2})?|[1-9]{1}[0-9]{0,}(\.[0-9]{0,2})?|0(\.[0-9]{0,2})?|(\.[0-9]{1,2})?)$" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblIsDefault" suffix=":" runat="server" CssClass="Normal" resource="lblIsDefault" />
        </td>
        <td>
            <asp:CheckBox ID="_chkIsDefault" runat="server" Text="" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblAddTextBox" suffix=":" runat="server" CssClass="Normal" resource="lblAddTextBox" />
        </td>
        <td>
            <asp:CheckBox ID="_chkAddTextBox" runat="server" Text="" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblTextBoxMessage" suffix=":" runat="server" CssClass="Normal" resource="lblTextBoxMessage" />
        </td>
        <td>
            <asp:TextBox ID="_txtTextBoxMessage" runat="server" CssClass="NormalTextBox" Width="250px"
                MaxLength="500" Height="70px" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblActive" suffix=":" runat="server" CssClass="Normal" resource="lblActive" />
        </td>
        <td>
            <asp:CheckBox ID="_chkActive" runat="server" Text="" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblViewOrder" suffix=":" runat="server" CssClass="Normal" resource="lblViewOrder" />
        </td>
        <td>
            <asp:TextBox ID="_txtViewOrder" runat="server" CssClass="NormalTextBox" Width="70" />
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Required!"
                ControlToValidate="_txtViewOrder" ValidationGroup="grpPrice" Display="Dynamic" />
            <asp:RangeValidator ID="RangeValidator1" runat="server" ErrorMessage="Value must be greater than zero."
                ControlToValidate="_txtViewOrder" MinimumValue="1" MaximumValue="1000" Type="Integer"
                Display="Dynamic" ValidationGroup="grpPrice"></asp:RangeValidator>
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblDisplay" suffix=":" runat="server" CssClass="Normal" resource="lblDisplay" />
        </td>
        <td>
            <asp:TextBox ID="_txtDisplay" runat="server" CssClass="NormalTextBox" Width="250px"
                MaxLength="500" Height="70px" />
        </td>
    </tr>
    <tr>
        <td class="Normal">
            <dnn:label id="lblDomainsNo" suffix=":" runat="server" CssClass="Normal" resource="lblDomainsNo" />
        </td>
        <td>
            <asp:TextBox ID="_txtDomainsNo" runat="server" CssClass="NormalTextBox" Width="70" />
            <asp:CompareValidator ID="cmpvalDomainsNo" runat="server" ErrorMessage="Invalid value!" ControlToValidate="_txtDomainsNo" Operator="DataTypeCheck" Type="Integer" Display="Dynamic"  ValidationGroup="grpPrice"></asp:CompareValidator>
        </td>
    </tr>
</table>
<asp:Label ID="_lblInvalidOption" runat="server" CssClass="Normal" ForeColor="Red"
    Visible="false" />
<table>
    <tr>
        <td>
            <asp:LinkButton ID="_btnCancel" runat="server" CssClass="CommandButton" />&nbsp;
        </td>
        <td>
            <asp:LinkButton ID="_btnSave" runat="server" CssClass="CommandButton" ValidationGroup="grpPrice" />
        </td>
    </tr>
</table>
