<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_AuthorInfoEdit.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_AuthorInfoEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<div class="dnnForm">
    <fieldset>
        <div class="dnnFormItem">
            <dnn:Label ID="lblFirstName" CssClass="NormalBold" runat="server" Text="First name:"></dnn:Label>
            <asp:TextBox ID="txtFirstName" CssClass="Normal" runat="server" MaxLength="50"></asp:TextBox>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblLastName" CssClass="NormalBold" runat="server" Text="Last name:"></dnn:Label>
            <asp:TextBox ID="txtLastName" CssClass="Normal" runat="server" MaxLength="50"></asp:TextBox>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblHomePage" CssClass="NormalBold" runat="server" Text="HomePage:"></dnn:Label>
            <asp:TextBox ID="txtHomePage" CssClass="Normal" runat="server" MaxLength="256" ></asp:TextBox>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblEmail" CssClass="NormalBold" runat="server" Text="Email:"></dnn:Label>
            <asp:TextBox ID="txtEmail" CssClass="Normal" runat="server" MaxLength="256" Width="152px"></asp:TextBox>
                                    <asp:RegularExpressionValidator ID="regexpEmail" CssClass="NormalRed" runat="server"
                                        ErrorMessage="Invalid Email!" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                                        ControlToValidate="txtEmail"></asp:RegularExpressionValidator>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblDescription" CssClass="NormalBold" runat="server" Text="Description:"></dnn:Label>
            <dnn:TextEditor id="textDescription" runat="server">
                        </dnn:TextEditor>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblShortBiography" CssClass="NormalBold" runat="server" Text="Short Biography:"></dnn:Label>
            <dnn:TextEditor id="textShortBiography" runat="server" width="760px">
                                </dnn:TextEditor>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblImagesUpload" CssClass="NormalBold" runat="server" Text="Images Upload:"></dnn:Label>
            <input id="cmdBrowse" type="file" size="50" name="cmdBrowse" runat="server" cssclass="Normal" />
        </div>
    </fieldset>
</div>
<asp:LinkButton ID="cmdUpdate" CssClass="dnnPrimaryAction" runat="server">Update</asp:LinkButton>
<asp:LinkButton ID="cmdCancel" CssClass="dnnSecondaryAction" runat="server">Cancel</asp:LinkButton>
<asp:LinkButton ID="btnDelete" CssClass="dnnSecondaryAction" runat="server">Delete</asp:LinkButton>

