<%@ Control Language="c#" Codebehind="ExtRelatedContentView.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.ExtRelatedContentView" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="URL" Src="~/controls/URLControl.ascx" %>    
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>

<table align="center" style="width:600px">
    <tr>
        <td>
            <asp:LinkButton ID="_btnCreateAbout" runat="server" CssClass="CommandButton" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="_pnlCreateEditAbout" runat="server" Visible="false">
            </asp:Panel>
                <dnn:label id="lblCreateEditAbout" suffix="" runat="server" CssClass="Normal" resource="lblCreateEditAbout" />            
                <table id="tblHeader" border="0" >
                <tr>
                    <td>
                        <label class="SubHead" for="<%=txtTitle.ClientID%>">
                            Title:</label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 90%">
                        <asp:TextBox ID="txtTitle" Width="80%" runat="server" CssClass="NormalTextBox" TextMode="MultiLine"
                            Visible="True">Content title</asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td valign="top">
                        <label class="SubHead">
                            Description:</label>
                    </td>
                </tr>
                <tr>
                    <td style="width: 90%">
                        <dnn:TextEditor id="rdDescription" runat="server" Height="450px" Width="800px">
                        </dnn:TextEditor>

                    </td>
                </tr>
                <tr>
                    <td style="width: 90%">
                        <table border="0" width="400">
                            <tr>
                                <td class="SubHead" width="200" valign="top">
                                    Thumbnail Image:
                                </td>
                                <td>
                                    <dnn:url id="urlImageURL" runat="server" width="300" ShowUrls="True" ShowTabs="False"
                                        ShowLog="False" ShowTrack="False" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="width: 90%">
                        <table border="0" width="400">
                            <tr>
                                <td class="SubHead" valign="top" width="200">
                                    Exernal URL:
                                </td>
                                <td>
                                    <dnn:url id="urlExternal" runat="server" width="300" ShowUrls="True" ShowTabs="False"
                                        ShowLog="False" ShowTrack="False" ShowFiles="False" ShowNewWindow="False" />
                                </td>
                            </tr>
                        </table>                                
                    </td>
                </tr>
            </table>
                <asp:Label ID="_lblInvalidAbout" runat="server" CssClass="Normal" ForeColor="Red" Visible="false" />
                <table>
                    <tr>
                        <td><asp:LinkButton ID="_btnCancel" runat="server" CssClass="CommandButton" /></td>
                        <td><asp:LinkButton ID="_btnSave" runat="server" CssClass="CommandButton" /></td>
                    </tr>
                </table>
                
                
            
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="_grdList" runat="server" AutoGenerateColumns="false" DataKeyNames="ExternalRelatedId" CssClass="Qnn_Grid"
                HeaderStyle-CssClass="Qnn_GridHeader" Width="550px" PageSize="40" AllowPaging="true">
                <Columns>
                    <asp:BoundField DataField="ExternalRelatedId" HeaderText="Number" Visible="false" />
                    <asp:BoundField DataField="Title" HeaderText="Title" />
                    <asp:BoundField DataField="Description" HeaderText="Description" />
                    
                    <asp:TemplateField HeaderText="Action">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEdit" runat="server" CommandName="EditExternalRelated" Text="Edit"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ExternalRelatedId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                            <asp:LinkButton ID="lnkDelete" runat="server" CommandName="DeleteExternalRelated" Text="Delete"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ExternalRelatedId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
</table>

