<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output cdata-section-elements="Body"/>
        <xsl:template match="/ROOT/row">
          <xsl:if test="@Title!=''">
            <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:bold; ">
                    <xsl:value-of select="@Title" />
                </span>
            <br />
            <br />
          </xsl:if>
          <xsl:if test="@LastUpdated!=''">
          <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">Date: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@LastUpdated" />                                
                </span>
                <br />
          </xsl:if>
          <xsl:if test="@AuthorDescription!=''">							
					<span style="font-family:Tahoma, Arial, Helvetica; font-size:10; font-style:normal; "> Author: </span>							
					<span style="font-family:Tahoma, Arial, Helvetica; font-size:10; font-style:normal; ">
					<xsl:value-of select="@AuthorDescription" disable-output-escaping="yes" />
					</span>
				<br/>
				</xsl:if>

          <xsl:if test="@MagazineDescription!=''">
            <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Magazine: </span>
            <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
              <xsl:value-of select="@MagazineDescription" />
            </span>
            <br/>
          </xsl:if>          
          
            <xsl:if test="@EditorNote!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Editor note: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@EditorNote" />
                </span>
                <br/>                            
                </xsl:if>
                
                <!-- VISITED -->
            <xsl:if test="@Visited!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Number of Views: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@Visited" />
                </span>
                <br/>
                </xsl:if>   
                
                <!-- RATE -->
            <xsl:if test="@Rate!=''"> 
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Rating: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@Rate" />
                </span>
                <br/>
            </xsl:if>
                
    </xsl:template>
</xsl:stylesheet>    
