<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/ROOT">
		<xsl:apply-templates />
	</xsl:template>

  <xsl:template match="row">
    <table >
    <tr>
		<!-- APPROVED IMAGE -->
    <!--<xsl:if test="@Approved='1'">
      <td width="22px">
        <div class="CBLVApprovedImage">
          <img style="border: none;" alt="custom dnn modules">
            <xsl:attribute name="src">
              <xsl:value-of select="//@ModulePath" />
              <xsl:value-of select="@ModulePath" />
              <xsl:text disable-output-escaping="yes">images/approve.gif</xsl:text>
            </xsl:attribute>
          </img>
        </div>
      </td>
    </xsl:if>-->
      <td>
        <!-- EDIT IMAGE -->
        <!--<xsl:if test="@CanView='1'">
          <div class="CBLVEditImage">
            <xsl:attribute name="style">
              <xsl:if test="position() mod 2 = 0"></xsl:if>
              <xsl:if test="position() mod 2 = 1"></xsl:if>
            </xsl:attribute>
            <a>
              <xsl:attribute name="href">
                <xsl:value-of select="substring-before(//@EditLink, 'ArticleIDVALUE')" />
                <xsl:value-of select="@ArticleID" />
                <xsl:value-of select="substring-after(//@EditLink, 'ArticleIDVALUE')" />
              </xsl:attribute>
              <img style="border: none;" alt="custom dnn modules">
                <xsl:attribute name="src">
                  <xsl:value-of select="//@ModulePath" />
                  <xsl:value-of select="@ModulePath" />
                  <xsl:text disable-output-escaping="yes">images/edit.gif</xsl:text>
                </xsl:attribute>
              </img>
            </a>
          </div>
        </xsl:if>-->

        <!-- CONTENT IMAGE -->
        
          <!--<xsl:attribute name="style">
            <xsl:if test="position() mod 2 = 0"></xsl:if>
            <xsl:if test="position() mod 2 = 1"></xsl:if>
          </xsl:attribute>-->
          <xsl:if test="//@ShowImage='True'">
            <div class="CBLVContentImage">
            <xsl:attribute name="width">
              <xsl:value-of select="//@ImageWidth" />
            </xsl:attribute>
            <xsl:if test="@RequiredAuth=0">
              <xsl:if test="@Image!=''">
                <img style="border: none;" alt="custom dnn modules">

                  <xsl:attribute name="src">
                    <xsl:value-of select="//@ModulePath" />
                    <xsl:text disable-output-escaping="yes">images/</xsl:text>
                    <xsl:value-of select="@Image" />
                  </xsl:attribute>
                  <xsl:attribute name="height">
                    <xsl:value-of select="//@ImageHeight" />
                  </xsl:attribute>
                  <xsl:attribute name="width">
                    <xsl:value-of select="//@ImageWidth" />
                  </xsl:attribute>
                </img>
              </xsl:if>
            </xsl:if>
            <xsl:if test="@RequiredAuth=1">
              <img style="border: none;" align="center" alt="custom dnn modules">
                <xsl:attribute name="src">
                  <xsl:value-of select="//@ModulePath" />
                  <xsl:text disable-output-escaping="yes">images/icon_securityroles_16px.gif</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="height">
                  <xsl:value-of select="//@ImageHeight" />
                </xsl:attribute>
                <xsl:attribute name="width">
                  <xsl:value-of select="//@ImageWidth" />
                </xsl:attribute>
              </img>
            </xsl:if>
            </div>
          </xsl:if>
        
        <!-- BODY -->
        <div class="CBLVBody">
          <!-- Show Title -->
          <xsl:attribute name="style">
            <xsl:if test="position() mod 2 = 0"></xsl:if>
            <xsl:if test="position() mod 2 = 1"></xsl:if>
          </xsl:attribute>
          <a class="CBLVTitle">
            <xsl:attribute name="href">
              <xsl:value-of select="substring-before(//@ViewLink, 'ArticleIDVALUE')" />
              <xsl:value-of select="@ArticleID" />
              <xsl:value-of select="substring-after(//@ViewLink, 'ArticleIDVALUE')" />
            </xsl:attribute>
            <xsl:value-of select="@Title" />
            <br />
          </a>
          <xsl:if test="@Categories!=''">
            <xsl:attribute name="href">
              <xsl:value-of select="substring-before(//@ViewLink, 'ArticleIDVALUE')" />
              <xsl:value-of select="@ArticleID" />
              <xsl:value-of select="substring-after(//@ViewLink, 'ArticleIDVALUE')" />
            </xsl:attribute>
            <div class="CBLVItem">
              <xsl:value-of select="@Categories" />
            </div>
          </xsl:if>
          <!-- SHOW AUTHOR -->
          <xsl:if test="//@ShowAuthor='True'">
            <xsl:if test="@AuthorDescription!=''">
              <div class="CBLVItem">
                Author:
                <xsl:value-of select="@AuthorDescription" disable-output-escaping="yes" />
              </div>
            </xsl:if>
          </xsl:if>
          <!-- SHOW DATE -->
          <xsl:if test="//@ShowDate='True'">
            <div class="CBLVItem">
              Last Updated:
              <xsl:value-of select="@LastUpdated" />
            </div>
          </xsl:if>
          <!-- SHOW MAGAZINE -->
          <xsl:if test="//@ShowMagazine='True'">
            <xsl:if test="@MagazineDescription!=''">
              <div class="CBLVItem">
                <xsl:value-of select="@MagazineDescription" />
              </div>
            </xsl:if>
          </xsl:if>
          <!-- SHOW EDITOR'S NOTE -->
          <xsl:if test="//@ShowEditorNote='True'">
            <xsl:if test="@EditorNote!=''">
              <xsl:value-of select="@EditorNote" />
              <a class="CBLVItem">
                <xsl:attribute name="href">
                  <xsl:value-of select="substring-before(//@ViewLink, 'ArticleIDVALUE')" />
                  <xsl:value-of select="@ArticleID" />
                  <xsl:value-of select="substring-after(//@ViewLink, 'ArticleIDVALUE')" />
                </xsl:attribute>
                <img style="border: none;" alt="custom dnn modules">
                  <xsl:attribute name="src">
                    <xsl:value-of select="//@ModulePath" />
                    <xsl:text disable-output-escaping="yes">images/first-grey.gif</xsl:text>
                  </xsl:attribute>
                </img>
								<xsl:text> Read more...</xsl:text>
              </a>
            </xsl:if>
          </xsl:if>
          <!-- SHOW DESCRIPTION -->
          <xsl:if test="//@ShowDescription='True'">
            <xsl:if test="@Description!= ''">
              <div class="CBLVdescription">
                <xsl:value-of select="@Description" />
                <a class="CBLVItem">
                  <xsl:attribute name="href">
                    <xsl:value-of select="substring-before(//@ViewLink, 'ArticleIDVALUE')" />
                    <xsl:value-of select="@ArticleID" />
                    <xsl:value-of select="substring-after(//@ViewLink, 'ArticleIDVALUE')" />
                  </xsl:attribute>
                  <xsl:text>  </xsl:text>
                  <img style="border: none;" alt="custom dnn modules">
                    <xsl:attribute name="src">
                      <xsl:value-of select="//@ModulePath" />
                      <xsl:text disable-output-escaping="yes">images/first-grey.gif</xsl:text>
                    </xsl:attribute>
                  </img>
									<xsl:text> Read more...</xsl:text>
                </a>
              </div>  
            </xsl:if>
          </xsl:if>
        </div>

        <!-- featured icon -->
        <xsl:if test="@IsFeatured='1'">
          <div class="CBLVEditImage">
            <xsl:attribute name="style">
              <xsl:if test="position() mod 2 = 0"></xsl:if>
              <xsl:if test="position() mod 2 = 1"></xsl:if>
            </xsl:attribute>
            <a>
              <xsl:attribute name="href">
                <xsl:value-of select="substring-before(//@ViewLink, 'ArticleIDVALUE')" />
                <xsl:value-of select="@ArticleID" />
                <xsl:value-of select="substring-after(//@ViewLink, 'ArticleIDVALUE')" />
              </xsl:attribute>
              <img style="border: none;" alt="Featured article">
                <xsl:attribute name="src">
                  <xsl:value-of select="//@ModulePath" />
                  <xsl:value-of select="@ModulePath" />
                  <xsl:text disable-output-escaping="yes">images/featured.gif</xsl:text>
                </xsl:attribute>
              </img>
            </a>
          </div>
        </xsl:if>
        
        <!-- new icon -->
        <xsl:if test="@IsNew='1'">
          <div class="CBLVEditImage">
            <xsl:attribute name="style">
              <xsl:if test="position() mod 2 = 0"></xsl:if>
              <xsl:if test="position() mod 2 = 1"></xsl:if>
            </xsl:attribute>
            <a>
              <xsl:attribute name="href">
                <xsl:value-of select="substring-before(//@ViewLink, 'ArticleIDVALUE')" />
                <xsl:value-of select="@ArticleID" />
                <xsl:value-of select="substring-after(//@ViewLink, 'ArticleIDVALUE')" />
              </xsl:attribute>
              <img style="border: none;" alt="New article">
                <xsl:attribute name="src">
                  <xsl:value-of select="//@ModulePath" />
                  <xsl:value-of select="@ModulePath" />
                  <xsl:text disable-output-escaping="yes">images/new.gif</xsl:text>
                </xsl:attribute>
              </img>
            </a>
          </div>
        </xsl:if>

      </td>
    </tr>
    </table>
  </xsl:template>
</xsl:stylesheet>
